Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 24 Oct 2001 07:51:55 -0400 (EDT)
From:      Yarema <yds@dppl.com>
To:        FreeBSD-gnats-submit@freebsd.org
Cc:        nbm@freebsd.org, dwcjr@freebsd.org
Subject:   ports/31473: New port: Courier-MTA SMTP IMAP POP3 HTTP mail server suite
Message-ID:  <20011024115155.DD6A63E03@sapas.dppl.net>

next in thread | raw e-mail | index | archive | help

>Number:         31473
>Category:       ports
>Synopsis:       New port: Courier-MTA SMTP IMAP POP3 HTTP mail server suite
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Oct 24 05:00:06 PDT 2001
>Closed-Date:
>Last-Modified:
>Originator:     Yarema
>Release:        FreeBSD 4.4-STABLE i386
>Organization:
>Environment:

	System: FreeBSD 4.4-STABLE #0: Thu Oct 4 05:44:54 EDT 2001 i386

>Description:

	New port of Courier-MTA SMTP IMAP POP3 HTTP mail server suite.
Based on the latest development snapshot (14-Oct-2001) to make updates
to future versions easier.

>How-To-Repeat:

	cd: no such file or directory: /usr/ports/mail/courier/

>Fix:

#!/bin/sh
# This is a shell archive (produced by GNU sharutils 4.2.1).
# To extract the files from this archive, save it to some FILE, remove
# everything before the `!/bin/sh' line above, then type `sh FILE'.
#
# Made on 2001-10-24 07:22 EDT by Yarema <yds@dppl.com>.
# Source directory was `/usr/ports/mail'.
#
# Existing files will *not* be overwritten unless `-c' is specified.
#
# This shar contains:
# length mode       name
# ------ ---------- ------------------------------------------
#    111 -rw-r--r-- courier/files/crontab.in
#  10708 -rw-r--r-- courier/files/patch-courier:perms.sh.in
#   5190 -rw-r--r-- courier/files/courier.sh
#   7817 -rwxr-xr-x courier/scripts/configure.courier
#   3556 -rwxr-xr-x courier/scripts/c_rehash
#   1012 -rw-r--r-- courier/pkg-message
#   5235 -rw-r--r-- courier/Makefile
#     72 -rw-r--r-- courier/distinfo
#     46 -rw-r--r-- courier/pkg-comment
#   3512 -rw-r--r-- courier/pkg-descr
#   3312 -rwxr-xr-x courier/pkg-install
#  24237 -rw-r--r-- courier/pkg-plist
#   1757 -rw-r--r-- courier/pkg-mtree
#   1328 -rw-r--r-- courier/Makefile.man
#    568 -rw-r--r-- courier/Makefile.doc
#
save_IFS="${IFS}"
IFS="${IFS}:"
gettext_dir=FAILED
locale_dir=FAILED
first_param="$1"
for dir in $PATH
do
  if test "$gettext_dir" = FAILED && test -f $dir/gettext \
     && ($dir/gettext --version >/dev/null 2>&1)
  then
    set `$dir/gettext --version 2>&1`
    if test "$3" = GNU
    then
      gettext_dir=$dir
    fi
  fi
  if test "$locale_dir" = FAILED && test -f $dir/shar \
     && ($dir/shar --print-text-domain-dir >/dev/null 2>&1)
  then
    locale_dir=`$dir/shar --print-text-domain-dir`
  fi
done
IFS="$save_IFS"
if test "$locale_dir" = FAILED || test "$gettext_dir" = FAILED
then
  echo=echo
else
  TEXTDOMAINDIR=$locale_dir
  export TEXTDOMAINDIR
  TEXTDOMAIN=sharutils
  export TEXTDOMAIN
  echo="$gettext_dir/gettext -s"
fi
if touch -am -t 200112312359.59 $$.touch >/dev/null 2>&1 && test ! -f 200112312359.59 -a -f $$.touch; then
  shar_touch='touch -am -t $1$2$3$4$5$6.$7 "$8"'
elif touch -am 123123592001.59 $$.touch >/dev/null 2>&1 && test ! -f 123123592001.59 -a ! -f 123123592001.5 -a -f $$.touch; then
  shar_touch='touch -am $3$4$5$6$1$2.$7 "$8"'
elif touch -am 1231235901 $$.touch >/dev/null 2>&1 && test ! -f 1231235901 -a -f $$.touch; then
  shar_touch='touch -am $3$4$5$6$2 "$8"'
else
  shar_touch=:
  echo
  $echo 'WARNING: not restoring timestamps.  Consider getting and'
  $echo "installing GNU \`touch', distributed in GNU File Utilities..."
  echo
fi
rm -f 200112312359.59 123123592001.59 123123592001.5 1231235901 $$.touch
#
if mkdir _sh61598; then
  $echo 'x -' 'creating lock directory'
else
  $echo 'failed to create lock directory'
  exit 1
fi
# ============= courier/files/crontab.in ==============
if test ! -d 'courier'; then
  $echo 'x -' 'creating directory' 'courier'
  mkdir 'courier'
fi
if test ! -d 'courier/files'; then
  $echo 'x -' 'creating directory' 'courier/files'
  mkdir 'courier/files'
fi
if test -f 'courier/files/crontab.in' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/files/crontab.in' '(file already exists)'
else
  $echo 'x -' extracting 'courier/files/crontab.in' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/files/crontab.in' &&
# $FreeBSD: $
#minute	hour	mday	month	wday	command
25	*	*	*	*	%%PREFIX%%/share/courier/sqwebmail/cleancache.pl
SHAR_EOF
  (set 20 01 10 22 22 05 36 'courier/files/crontab.in'; eval "$shar_touch") &&
  chmod 0644 'courier/files/crontab.in' ||
  $echo 'restore of' 'courier/files/crontab.in' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/files/crontab.in:' 'MD5 check failed'
3755a790a43c497b985764f3427d5bf9  courier/files/crontab.in
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/files/crontab.in'`"
    test 111 -eq "$shar_count" ||
    $echo 'courier/files/crontab.in:' 'original size' '111,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/files/patch-courier:perms.sh.in ==============
if test -f 'courier/files/patch-courier:perms.sh.in' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/files/patch-courier:perms.sh.in' '(file already exists)'
else
  $echo 'x -' extracting 'courier/files/patch-courier:perms.sh.in' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/files/patch-courier:perms.sh.in' &&
--- courier/perms.sh.in.orig	Sat Jun 23 18:39:32 2001
+++ courier/perms.sh.in	Mon Oct 22 23:46:29 2001
@@ -10,9 +10,9 @@
X exec_prefix="@exec_prefix@"
X 
X PERMS="
-.			755
+.			755	x	root	wheel
X 
-@localstatedir@		755	x	bin	bin
+@localstatedir@		755	x	root	wheel
X @localstatedir@/tmp	770
X @localstatedir@/msgs	750
X @localstatedir@/msgq	750
@@ -37,119 +37,130 @@
X @sysconfdir@/webmail.authpam	644	config
X @sysconfdir@/quotawarnmsg.example	444
X 
-@libexecdir@		755	x	bin	bin
-@libexecdir@/authlib	755	x	bin	bin
-@libexecdir@/courier	755	x	bin	bin
-@libexecdir@/courier/modules	755	x	bin	bin
-@libexecdir@/courier/modules/modules.ctl	444	x	bin	bin
+@libexecdir@				755	x	root	wheel
+@libexecdir@/authlib			755	x	root	wheel
+@libexecdir@/courier			755	x	root	wheel
+@libexecdir@/courier/modules		755	x	root	wheel
+@libexecdir@/courier/modules/dsn	755	x	root	wheel
+@libexecdir@/courier/modules/esmtp	755	x	root	wheel
+@libexecdir@/courier/modules/esmtp/authend 755	x	root	wheel
+@libexecdir@/courier/modules/local	755	x	root	wheel
+@libexecdir@/courier/modules/local/courierdeliver 555 x	root	wheel
+@libexecdir@/courier/modules/local/courierlocal 555 x	root	wheel
+@libexecdir@/courier/modules/modules.ctl 444	x	root	wheel
+@libexecdir@/courier/modules/uucp	755	x	root	wheel
X @libexecdir@/courier/submitmkdir	4550
-@libexecdir@/courier/courierd	550
-@libexecdir@/courier/courierpop3d	555
-@libexecdir@/courier/courierpop3login	555
+@libexecdir@/courier/courierd		550
+@libexecdir@/courier/courierpop3d	555	x	root	wheel
+@libexecdir@/courier/courierpop3login	555	x	root	wheel
X @libexecdir@/courier/aliasexp		550
X @libexecdir@/courier/aliascombine	550
X @libexecdir@/courier/aliascreate	550
X @libexecdir@/courier/submit		550
-@libexecdir@/courier/makedatprog	555
-@libexecdir@/courier/imaplogin		555	x	bin	bin
-@libexecdir@/courier/webmail		700	x	root	bin
-@libexecdir@/courier/webmail/webmail	4555	x	root	bin
-@libexecdir@/courier/webmail/webadmin	4555	x	root	bin
-
-@sbindir@			755	x	bin	bin
-@sbindir@/courier		555
-@sbindir@/showconfig		555
+@libexecdir@/courier/makedatprog	555	x	root	wheel
+@libexecdir@/courier/imaplogin		555	x	root	wheel
+@libexecdir@/courier/webmail		700	x	root	wheel
+@libexecdir@/courier/webmail/webmail	4555	x	root	wheel
+@libexecdir@/courier/webmail/webadmin	4555	x	root	wheel
+@libexecdir@/filters			755	x	root	wheel
+@libexecdir@/filters/dupfilter		755	x	root	wheel
+@libexecdir@/filters/perlfilter		755	x	root	wheel
+
+@sbindir@			755	x	root	wheel
+@sbindir@/courier		555	x	root	wheel
+@sbindir@/showconfig		555	x	root	wheel
X @sbindir@/showmodules		550
-@sbindir@/userdbpw		555
-@sbindir@/couriertcpd		555
-@sbindir@/logger		555
-@sbindir@/imapd			555
-@sbindir@/imapd-ssl		555
-@datadir@/imapd			555	x	bin	bin
-@datadir@/imapd-ssl		555	x	bin	bin
+@sbindir@/userdbpw		555	x	root	wheel
+@sbindir@/couriertcpd		555	x	root	wheel
+@sbindir@/logger		555	x	root	wheel
+@sbindir@/imapd			555	x	root	wheel
+@sbindir@/imapd-ssl		555	x	root	wheel
+@datadir@/imapd			555	x	root	wheel
+@datadir@/imapd-ssl		555	x	root	wheel
X 
-@bindir@			755	x	bin	bin
+@bindir@			755	x	root	wheel
X @bindir@/cancelmsg		6555
-@bindir@/courier-config		555
-@bindir@/mailq			2555
-@bindir@/maildirmake		555
-@bindir@/sendmail		4511	x	root
-@bindir@/rmail			4511	x	root
-@bindir@/dotlock		555
-@bindir@/deliverquota		555
-@bindir@/mailbot		555
-@bindir@/makemime		555
-@bindir@/reformail		555
-@bindir@/reformime		555
-@bindir@/mimegpg		555
-@bindir@/couriermlm		555
-@bindir@/dotforward		555
-
-@datadir@/makedat		555	x	bin	bin
-@bindir@/makedat		555
-@bindir@/testmxlookup		555
-@bindir@/imapd			555
-@datadir@/makealiases		550
-@sbindir@/makealiases		550
-@datadir@/makehosteddomains	555
-@sbindir@/makehosteddomains	555
-@datadir@/pop3d			755
-@sbindir@/pop3d			755
-@datadir@/pop3d-ssl		755
-@sbindir@/pop3d-ssl		755
-@datadir@/makeuserdb		555
-@sbindir@/makeuserdb		555
-@datadir@/webgpg		555
-@sbindir@/webgpg		555
-@datadir@/userdb		555
-@sbindir@/userdb		555
-@datadir@/pw2userdb		555
-@sbindir@/pw2userdb		555
-@datadir@/vchkpw2userdb		555
-@sbindir@/vchkpw2userdb		555
-
-@datadir@			755	x	bin	bin
-@datadir@/courierctl.start	555
-
-@datadir@/mkimapdcert		755
-@sbindir@/mkimapdcert		755
-@datadir@/mkpop3dcert		755
-@sbindir@/mkpop3dcert		755
-@datadir@/couriermlm		755
-
-@datadir@/couriermlm/adminrequest.tmpl	644
-@datadir@/couriermlm/confsubj.tmpl	644
-@datadir@/couriermlm/digestsubj.tmpl	644
-@datadir@/couriermlm/fetch.tmpl	644
-@datadir@/couriermlm/fetchsubj.tmpl	644
-@datadir@/couriermlm/help.tmpl	644
-@datadir@/couriermlm/idxsubject.tmpl	644
-@datadir@/couriermlm/idxheaderhtml.tmpl	644
-@datadir@/couriermlm/idxheader2html.tmpl 644
-@datadir@/couriermlm/idxheadertxt.tmpl	644
-@datadir@/couriermlm/modrejbody.tmpl	644
-@datadir@/couriermlm/modreject.tmpl	644
-@datadir@/couriermlm/modrejheader.tmpl	644
-@datadir@/couriermlm/modsubject.tmpl	644
-@datadir@/couriermlm/modtext.tmpl	644
-@datadir@/couriermlm/modtext2.tmpl	644
-@datadir@/couriermlm/sub.tmpl	644
-@datadir@/couriermlm/sub2.tmpl	644
-@datadir@/couriermlm/sub3.tmpl	644
-@datadir@/couriermlm/sub4.tmpl	644
-@datadir@/couriermlm/sub5.tmpl	644
-@datadir@/couriermlm/subreportfooter.tmpl	644
-@datadir@/couriermlm/subreporthdr.tmpl 644
-@datadir@/couriermlm/subreporthdr1.tmpl 644
-@datadir@/couriermlm/subreporthdr2.tmpl 644
-@datadir@/couriermlm/subreporthdr3.tmpl 644
-@datadir@/couriermlm/unsub.tmpl	644
-@datadir@/couriermlm/unsub2.tmpl	644
-@datadir@/couriermlm/unsub3.tmpl	644
-@datadir@/couriermlm/warn1headers.tmpl	644
-@datadir@/couriermlm/warn1text.tmpl	644
-@datadir@/couriermlm/warn1text2.tmpl	644
-@datadir@/couriermlm/warn2msg.tmpl	644
+@bindir@/courier-config		555	x	root	wheel
+@bindir@/mailq			2555	x	root
+@bindir@/maildirmake		555	x	root	wheel
+@bindir@/sendmail		4511	x	root	wheel
+@bindir@/rmail			4511	x	root	wheel
+@bindir@/dotlock		555	x	root	wheel
+@bindir@/deliverquota		555	x	root	wheel
+@bindir@/mailbot		555	x	root	wheel
+@bindir@/makemime		555	x	root	wheel
+@bindir@/reformail		555	x	root	wheel
+@bindir@/reformime		555	x	root	wheel
+@bindir@/mimegpg		555	x	root	wheel
+@bindir@/couriermlm		555	x	root	wheel
+@bindir@/dotforward		555	x	root	wheel
+@bindir@/preline		555	x	root	wheel
+
+@datadir@/makedat		555	x	root	wheel
+@bindir@/makedat		555	x	root	wheel
+@bindir@/testmxlookup		555	x	root	wheel
+@bindir@/imapd			555	x	root	wheel
+@datadir@/makealiases		555	x	root	wheel
+@sbindir@/makealiases		555	x	root	wheel
+@datadir@/makehosteddomains	555	x	root	wheel
+@sbindir@/makehosteddomains	555	x	root	wheel
+@datadir@/pop3d			555	x	root	wheel
+@sbindir@/pop3d			555	x	root	wheel
+@datadir@/pop3d-ssl		555	x	root	wheel
+@sbindir@/pop3d-ssl		555	x	root	wheel
+@datadir@/makeuserdb		555	x	root	wheel
+@sbindir@/makeuserdb		555	x	root	wheel
+@datadir@/webgpg		555	x	root	wheel
+@sbindir@/webgpg		555	x	root	wheel
+@datadir@/userdb		555	x	root	wheel
+@sbindir@/userdb		555	x	root	wheel
+@datadir@/pw2userdb		555	x	root	wheel
+@sbindir@/pw2userdb		555	x	root	wheel
+@datadir@/vchkpw2userdb		555	x	root	wheel
+@sbindir@/vchkpw2userdb		555	x	root	wheel
+
+@datadir@			755	x	root	wheel
+@datadir@/courierctl.start	555	x	root	wheel
+
+@datadir@/mkimapdcert		555	x	root	wheel
+@sbindir@/mkimapdcert		555	x	root	wheel
+@datadir@/mkpop3dcert		555	x	root	wheel
+@sbindir@/mkpop3dcert		555	x	root	wheel
+@datadir@/couriermlm		555	x	root	wheel
+
+@datadir@/couriermlm/adminrequest.tmpl	444	x	root	wheel
+@datadir@/couriermlm/confsubj.tmpl	444	x	root	wheel
+@datadir@/couriermlm/digestsubj.tmpl	444	x	root	wheel
+@datadir@/couriermlm/fetch.tmpl		444	x	root	wheel
+@datadir@/couriermlm/fetchsubj.tmpl	444	x	root	wheel
+@datadir@/couriermlm/help.tmpl		444	x	root	wheel
+@datadir@/couriermlm/idxsubject.tmpl	444	x	root	wheel
+@datadir@/couriermlm/idxheaderhtml.tmpl	444	x	root	wheel
+@datadir@/couriermlm/idxheader2html.tmpl 444	x	root	wheel
+@datadir@/couriermlm/idxheadertxt.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modrejbody.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modreject.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modrejheader.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modsubject.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modtext.tmpl	444	x	root	wheel
+@datadir@/couriermlm/modtext2.tmpl	444	x	root	wheel
+@datadir@/couriermlm/sub.tmpl		444	x	root	wheel
+@datadir@/couriermlm/sub2.tmpl		444	x	root	wheel
+@datadir@/couriermlm/sub3.tmpl		444	x	root	wheel
+@datadir@/couriermlm/sub4.tmpl		444	x	root	wheel
+@datadir@/couriermlm/sub5.tmpl		444	x	root	wheel
+@datadir@/couriermlm/subreportfooter.tmpl 444	x	root	wheel
+@datadir@/couriermlm/subreporthdr.tmpl	444	x	root	wheel
+@datadir@/couriermlm/subreporthdr1.tmpl 444	x	root	wheel
+@datadir@/couriermlm/subreporthdr2.tmpl 444	x	root	wheel
+@datadir@/couriermlm/subreporthdr3.tmpl 444	x	root	wheel
+@datadir@/couriermlm/unsub.tmpl		444	x	root	wheel
+@datadir@/couriermlm/unsub2.tmpl	444	x	root	wheel
+@datadir@/couriermlm/unsub3.tmpl	444	x	root	wheel
+@datadir@/couriermlm/warn1headers.tmpl	444	x	root	wheel
+@datadir@/couriermlm/warn1text.tmpl	444	x	root	wheel
+@datadir@/couriermlm/warn1text2.tmpl	444	x	root	wheel
+@datadir@/couriermlm/warn2msg.tmpl	444	x	root	wheel
X "
X 
X echo "$PERMS" | while read FILE MODE SPECIAL USER GROUP
@@ -193,7 +204,7 @@
X 
X if test "$couriertls" != ""
X then
-   echo @bindir@/couriertls 555 bin bin
+   echo @bindir@/couriertls 555 root wheel
X fi
X 
X if test "@HAVE_LDAP@" != 0
@@ -202,23 +213,23 @@
X 	echo @sbindir@/courierldapaliasd 700 @mailuser@ @mailgroup@
X fi
X 
-echo @datadir@/sqwebmail/images 755 @mailuser@ @mailgroup@
+echo @datadir@/sqwebmail/images 755 root wheel
X 
X for f in `cat ../webmail/images/filelist 2>/dev/null`
X do
-	echo @datadir@/sqwebmail/images/$f 444 @mailuser@ @mailgroup@
+	echo @datadir@/sqwebmail/images/$f 444 root wheel
X done
X 
X . ../maildrop/uidgid
X 
-echo @bindir@/maildrop 4511 $uid @mailgroup@
+echo @bindir@/maildrop 4511 $uid mail
X 
X sed 's:^:'@sysconfdir@/':;s/$/ 660 @mailuser@ @mailgroup@ config/' <../authlib/authconfiglist
X 
X for f in `cat ../authlib/installlist ../authlib/installlist.sh`
X do
X 	test -z "$f" && continue
-	echo @libexecdir@/authlib/$f 755 bin bin
+	echo @libexecdir@/authlib/$f 555 root wheel
X done
X 
X . ../authlib/authdaemonrc
@@ -235,16 +246,16 @@
X 
X . ../authlib/authpwdprogs
X 
-echo "@authchangepwdir@ 755 @mailuser@ @mailgroup@"
+echo "@authchangepwdir@ 755 root wheel"
X for f in `echo $PWPROGS dummy`
X do
X 	test "$f" = "dummy" && continue
-	echo "@authchangepwdir@/$f 4555 root bin"
+	echo "@authchangepwdir@/$f 4555 root wheel"
X done
X 
X for f in `echo $PWSCRIPTS dummy`
X do
X 	test "$f" = "dummy" && continue
X 	echo "@authchangepwdir@/$f 555 @mailuser@ @mailgroup@"
-	echo "@datadir@/$f 555 @mailuser@ @mailgroup@"
+	echo "@datadir@/$f 555 root wheel
X done
SHAR_EOF
  (set 20 01 10 22 23 49 13 'courier/files/patch-courier:perms.sh.in'; eval "$shar_touch") &&
  chmod 0644 'courier/files/patch-courier:perms.sh.in' ||
  $echo 'restore of' 'courier/files/patch-courier:perms.sh.in' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/files/patch-courier:perms.sh.in:' 'MD5 check failed'
675b272c9b8ce9d14ca5879566c70183  courier/files/patch-courier:perms.sh.in
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/files/patch-courier:perms.sh.in'`"
    test 10708 -eq "$shar_count" ||
    $echo 'courier/files/patch-courier:perms.sh.in:' 'original size' '10708,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/files/courier.sh ==============
if test -f 'courier/files/courier.sh' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/files/courier.sh' '(file already exists)'
else
  $echo 'x -' extracting 'courier/files/courier.sh' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/files/courier.sh' &&
#!/bin/sh
# $FreeBSD: $
#
# This is the ${PREFIX}/etc/rc.d file for Courier SMTP, IMAP and POP3 servers
#
# Adapted for FreeBSD from courier.sysvinit
#
# NOTE: The 'restart' here does a "hard" stop, and a start.  Be gentle, use
# "courierd restart" for a kindler, gentler, restart.
#
X
if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
X	echo "$0: Cannot determine the PREFIX" >&2
X	exit 1
fi
X
prefix="${PREFIX}"
exec_prefix="${prefix}"
sysconfdir="${prefix}/etc/courier"
sbindir="${exec_prefix}/sbin"
libexecdir="${prefix}/libexec"
datadir="${prefix}/share/courier"
X
arg=${1:-start}
case $arg in
start)	# First time after install create aliases.dat and makesmtpaccess.dat
X
X	if [ ! -f ${sysconfdir}/aliases.dat \
X	  -a -x ${sbindir}/makealiases ]; then
X		${sbindir}/makealiases
X	fi
X
X	esmtpdcert=0
X
X	ESMTPDSTART=""
X	if [ -f ${sysconfdir}/esmtpd ]; then
X		. ${sysconfdir}/esmtpd
X		case $ESMTPDSTART in
X		[Yy]*)
X			esmtpdcert=1
X			;;
X		esac
X		if [ ! -f ${sysconfdir}/${ACCESSFILE}.dat \
X		  -a -x ${sbindir}/makesmtpaccess ]; then
X			${sbindir}/makesmtpaccess
X		fi
X	fi
X
X	ESMTPDSTART=""
X	if [ -f ${sysconfdir}/esmtpd-msa ]; then
X		. ${sysconfdir}/esmtpd-msa
X		case $ESMTPDSTART in
X		[Yy]*)
X			esmtpdcert=1
X			;;
X		esac
X		if [ ! -f ${sysconfdir}/${ACCESSFILE}.dat \
X		  -a -x ${sbindir}/makesmtpaccess-msa ]; then
X			${sbindir}/makesmtpaccess-msa
X		fi
X	fi
X
X	if [ -x ${sbindir}/courierfilter ]; then
X		${sbindir}/courierfilter start && echo -n " courierfilter"
X	fi
X
X	if [ -x ${libexecdir}/authlib/authdaemond ]; then
X		${libexecdir}/authlib/authdaemond start && echo -n " authdaemond"
X	fi
X
X	if [ -x ${sbindir}/courierldapaliasd ]; then
X		${sbindir}/courierldapaliasd start && echo -n " courierldapaliasd"
X	fi
X
X	if [ -x ${sbindir}/courier ]; then
X		${sbindir}/courier start && echo -n " courierd"
X	fi
X
X	if [ "$esmtpdcert" = 1 ]; then
X		# If we do not have a certificate, make one up.
X		if [ ! -f ${datadir}/esmtpd.pem \
X		  -a -x $COURIERTLS \
X		  -a ${sbindir}/mkesmtpdcert ]; then
X			echo -n " generating-ESMTP-SSL-certificate..."
X			${sbindir}/mkesmtpdcert >/dev/null 2>&1
X		fi
X	fi
X
X	ESMTPDSTART=""
X	if [ -f ${sysconfdir}/esmtpd ]; then
X		. ${sysconfdir}/esmtpd
X		case $ESMTPDSTART in
X		[Yy]*)
X			if [ -x ${sbindir}/esmtpd ]; then
X				${sbindir}/esmtpd start && echo -n " esmtpd"
X			fi
X			;;
X		esac
X	fi
X
X	ESMTPDSTART=""
X	if [ -f ${sysconfdir}/esmtpd-msa ]; then
X		. ${sysconfdir}/esmtpd-msa
X		case $ESMTPDSTART in
X		[Yy]*)
X			if [ -x ${sbindir}/esmtpd-msa ]; then
X				${sbindir}/esmtpd-msa start && echo -n " esmtpd-msa"
X			fi
X			;;
X		esac
X	fi
X
X	IMAPDSTART=""
X	if [ -f ${sysconfdir}/imapd ]; then
X		. ${sysconfdir}/imapd
X		case $IMAPDSTART in
X		[Yy]*)
X			if [ -x ${sbindir}/imapd ]; then
X				${sbindir}/imapd start && echo -n " imapd"
X			fi
X			;;
X		esac
X	fi
X
X	IMAPDSSLSTART=""
X	if [ -f ${sysconfdir}/imapd-ssl ]; then
X		. ${sysconfdir}/imapd-ssl
X		case $IMAPDSSLSTART in
X		[Yy]*)	# If we do not have a certificate, make one up.
X			if [ -x $COURIERTLS ]; then
X				if [ ! -f ${datadir}/imapd.pem \
X				  -a -x ${sbindir}/mkimapdcert ]; then
X					echo -n " generating-IMAP-SSL-certificate..."
X					${sbindir}/mkimapdcert >/dev/null 2>&1
X				fi
X				if [ -x ${sbindir}/imapd-ssl ]; then
X					${sbindir}/imapd-ssl start && echo -n " imapd-ssl"
X				fi
X			fi
X			;;
X		esac
X	fi
X
X	POP3DSTART=""
X	if [ -f ${sysconfdir}/pop3d ]; then 
X		. ${sysconfdir}/pop3d
X		case $POP3DSTART in
X		[Yy]*)
X			if [ -x ${sbindir}/pop3d ]; then
X				${sbindir}/pop3d start && echo -n " pop3d"
X			fi
X			;;
X		esac
X	fi
X
X	POP3DSSLSTART=""
X	if [ -f ${sysconfdir}/pop3d-ssl ]; then
X		. ${sysconfdir}/pop3d-ssl
X		case $POP3DSSLSTART in
X		[Yy]*)	# If we do not have a certificate, make one up.
X			if [ -x $COURIERTLS ]; then
X				if [ ! -f ${datadir}/pop3d.pem \
X				  -a -x ${sbindir}/mkpop3dcert ]; then
X					echo -n " generating-POP3-SSL-certificate..."
X					${sbindir}/mkpop3dcert >/dev/null 2>&1
X				fi
X				if [ -x ${sbindir}/pop3d-ssl ]; then
X					${sbindir}/pop3d-ssl start && echo -n " pop3d-ssl"
X				fi
X			fi
X			;;
X		esac
X	fi
X	;;
stop)	# kill courier services in the reverse order of starting them
X	if [ -x ${sbindir}/pop3d-ssl ]; then
X		${sbindir}/pop3d-ssl stop && echo -n " pop3d-ssl"
X	fi
X
X	if [ -x ${sbindir}/pop3d ]; then
X		${sbindir}/pop3d stop && echo -n " pop3d"
X	fi
X
X	if [ -x ${sbindir}/imapd-ssl ]; then
X		${sbindir}/imapd-ssl stop && echo -n " imapd-ssl"
X	fi
X
X	if [ -x ${sbindir}/imapd ]; then
X		${sbindir}/imapd stop && echo -n " imapd"
X	fi
X
X	if [ -x ${sbindir}/esmtpd-msa ]; then
X		${sbindir}/esmtpd-msa stop && echo -n " esmtpd-msa"
X	fi
X	
X	if [ -x ${sbindir}/esmtpd ]; then
X		${sbindir}/esmtpd stop && echo -n " esmtpd"
X	fi
X
X	if [ -x ${sbindir}/courier ]; then
X		${sbindir}/courier stop && echo -n " courierd"
X	fi
X
X	if [ -x ${sbindir}/courierldapaliasd ]; then
X		${sbindir}/courierldapaliasd stop && echo -n " courierldapaliasd"
X	fi
X
X	if [ -x ${libexecdir}/authlib/authdaemond ]; then
X		${libexecdir}/authlib/authdaemond stop && echo -n " authdaemond"
X	fi
X
X	if [ -x ${sbindir}/courierfilter ]; then
X		${sbindir}/courierfilter stop && echo " courierfilter"
X	fi
X	;;
restart)
X	$0 stop
X	$0 start
X	;;
*)
X	echo ""
X	echo "Usage: `basename $0` { start | stop | restart }"
X	echo ""
X	exit 64
X	;;
esac
Xexit 0
SHAR_EOF
  (set 20 01 10 22 23 29 56 'courier/files/courier.sh'; eval "$shar_touch") &&
  chmod 0644 'courier/files/courier.sh' ||
  $echo 'restore of' 'courier/files/courier.sh' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/files/courier.sh:' 'MD5 check failed'
a85131c0b6ac6fc41b90e6b23c154bae  courier/files/courier.sh
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/files/courier.sh'`"
    test 5190 -eq "$shar_count" ||
    $echo 'courier/files/courier.sh:' 'original size' '5190,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/scripts/configure.courier ==============
if test ! -d 'courier/scripts'; then
  $echo 'x -' 'creating directory' 'courier/scripts'
  mkdir 'courier/scripts'
fi
if test -f 'courier/scripts/configure.courier' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/scripts/configure.courier' '(file already exists)'
else
  $echo 'x -' extracting 'courier/scripts/configure.courier' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/scripts/configure.courier' &&
#!/bin/sh
# $FreeBSD: $
X
[ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ] && exit
X
tempfile=`mktemp -t checklist`
X
if [ -x ${PREFIX}/pgsql/bin/postgres -a ! -x ${PREFIX}/bin/postgres ]; then
X	PGSQLBASE=${PREFIX}/pgsql
X	PGSQLINCLUDES=${PGSQLBASE}/include
else
X	PGSQLBASE=${PREFIX}
X	PGSQLINCLUDES=${PGSQLBASE}/include/pgsql
fi
X
if [ "${BATCH}" = "yes" ]; then
X	[ "x${ENABLE_EXPECT}"	= "xYES" ] && OPTIONS="${OPTIONS} \"Expect\""
X	[ "x${ENABLE_GNUPG}"	= "xYES" ] && OPTIONS="${OPTIONS} \"GnuPG\""
X	[ "x${ENABLE_ASPELL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"ASpell\""
X	[ "x${ENABLE_ISPELL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"ISpell\""
X	[ "x${ENABLE_LDAP1}"	= "xYES" ] && OPTIONS="${OPTIONS} \"OpenLDAP1\""
X	[ "x${ENABLE_LDAP2}"	= "xYES" ] && OPTIONS="${OPTIONS} \"OpenLDAP2\""
X	[ "x${ENABLE_MYSQL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"MySQL\""
X	[ "x${ENABLE_PGSQL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"PostgreSQL\""
X	[ "x${ENABLE_VPOPMAIL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"VPopMail\""
X	[ "x${ENABLE_PROCMAIL}"	= "xYES" ] && OPTIONS="${OPTIONS} \"Procmail\""
X	[ "x${ENABLE_IPV6}"	= "xYES" ] && OPTIONS="${OPTIONS} \"IPv6\""
X	[ -n "${OPTIONS}" ] && set ${OPTIONS}
else
X	if [ "x${ENABLE_EXPECT}" = "xYES" \
X	  -o -x ${LOCALBASE}/bin/expect ]; then
X		SET_EXPECT="ON"
X	else
X		SET_EXPECT="OFF"
X	fi
X	if [ "x${ENABLE_GNUPG}" = "xYES" \
X	  -o -x ${LOCALBASE}/bin/gpg ]; then
X		SET_GNUPG="ON"
X	else
X		SET_GNUPG="OFF"
X	fi
X	if [ "x${ENABLE_ASPELL}" = "xYES" \
X	  -o -x ${LOCALBASE}/bin/aspell ]; then
X		SET_ASPELL="ON"
X	else
X		SET_ASPELL="OFF"
X	fi
X	if [ "x${ENABLE_ISPELL}" = "xYES" \
X	  -o -x ${LOCALBASE}/bin/ispell \
X	  -a "x${SET_ASPELL}" = "xOFF" ]; then
X		SET_ISPELL="ON"
X	else
X		SET_ISPELL="OFF"
X	fi
X	if [ "x${ENABLE_LDAP1}" = "xYES" \
X	  -o -f ${LOCALBASE}/lib/libldap.so.1 \
X	  -a -f ${LOCALBASE}/lib/liblber.so.1 ]; then
X		SET_LDAP1="ON"
X	else
X		SET_LDAP1="OFF"
X	fi
X	if [ "x${ENABLE_LDAP2}" = "xYES" \
X	  -o -f ${LOCALBASE}/lib/libldap.so.2 \
X	  -a -f ${LOCALBASE}/lib/liblber.so.2 \
X	  -a "x${SET_LDAP1}" = "xOFF" ]; then
X		SET_LDAP2="ON"
X	else
X		SET_LDAP2="OFF"
X	fi
X	if [ "x${ENABLE_MYSQL}" = "xYES" \
X	  -o -f ${LOCALBASE}/lib/mysql/libmysqlclient.so.10 ]; then
X		SET_MYSQL="ON"
X	else
X		SET_MYSQL="OFF"
X	fi
X	if [ "x${ENABLE_PGSQL}" = "xYES" \
X	  -o -f ${PGSQLBASE}/lib/libpq.so.2 ]; then
X		SET_PGSQL="ON"
X	else
X		SET_PGSQL="OFF"
X	fi
X	if [ "x${ENABLE_VPOPMAIL}" = "xYES" \
X	  -o -f ${LOCALBASE}/vpopmail/lib/libvpopmail.a ]; then
X		SET_VPOPMAIL="ON"	# authvchkpw and authmysql
X		SET_MYSQL="OFF"		# are mutually exclusive
X	else
X		SET_VPOPMAIL="OFF"
X	fi
X	if [ "x${ENABLE_PROCMAIL}" = "xYES" \
X	  -o -x ${LOCALBASE}/bin/procmail ]; then
X		SET_PROCMAIL="ON"
X	else
X		SET_PROCMAIL="OFF"
X	fi
X	if [ "x${ENABLE_IPV6}" = "xYES" ]; then
X		SET_IPV6="ON"
X	else
X		SET_IPV6="OFF"
X	fi
X
X	/usr/bin/dialog --title "Courier configuration options" --clear \
X		--checklist "\n\
Please select desired options:" -1 -1 16 \
Expect		"Expect support for WebMail change passwd" ${SET_EXPECT} \
GnuPG		"GNU Privacy Guard support for WebMail" ${SET_GNUPG} \
ASpell		"ASpell support for WebMail" ${SET_ASPELL} \
ISpell		"ISpell support for WebMail" ${SET_ISPELL} \
OpenLDAP1	"OpenLDAP 1.x authentication support" ${SET_LDAP1} \
OpenLDAP2	"OpenLDAP 2.x authentication support" ${SET_LDAP2} \
MySQL		"MySQL authentication support" ${SET_MYSQL} \
PostgreSQL	"PostgreSQL authentication support" ${SET_PGSQL} \
VPopMail	"VPopMail authentication support" ${SET_VPOPMAIL} \
Procmail	"Procmail local delivery support" ${SET_PROCMAIL} \
IPv6		"IPv6 support (experimental)" ${SET_IPV6} \
2> $tempfile
X
X	retval=$?
X
X	if [ -s $tempfile ]; then
X		set `cat $tempfile`
X	fi
X	rm -f $tempfile
X
X	case $retval in
X		0)	[ -z "$*" ] && echo "Nothing selected"
X			;;
X		1)	echo "Cancel pressed."
X			exit 1
X			;;
X	esac
fi
X
${MKDIR} ${WRKDIRPREFIX}${CURDIR}
exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X
echo "PREFIX=	${PREFIX}"
X
WITH_ISPELL="--without-ispell"
WITH_LDAP="--without-authldap"
WITH_MYSQL="--without-authmysql"
WITH_PGSQL="--without-authpgsql"
WITH_VCHKPW="--without-authvchkpw"
WITH_IPV6="--without-ipv6"
X
SUB_LDAP="@comment "
SUB_MYSQL="@comment "
SUB_PGSQL="@comment "
X
while [ "$1" ]; do
X	case $1 in
X		\"Expect\")
X			echo "BUILD_DEPENDS+=	expect:${PORTSDIR}/lang/expect"
X			;;
X		\"GnuPG\")
X			echo "BUILD_DEPENDS+=	gpg:${PORTSDIR}/security/gnupg"
X			;;
X		\"ASpell\")
X			if [ "$ISPELL" ]; then
X				echo "ASpell and ISpell are mutually exclusive." > /dev/stderr
X				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X				exit 1
X			fi
X			echo "BUILD_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell"
X			WITH_ISPELL="--with-ispell=${LOCALBASE}/bin/aspell"
X			ASPELL=1
X			;;
X		\"ISpell\")
X			if [ "$ASPELL" ]; then
X				echo "ASpell and ISpell are mutually exclusive." > /dev/stderr
X				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X				exit 1
X			fi
X			echo "BUILD_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell"
X			WITH_ISPELL="--with-ispell=${LOCALBASE}/bin/ispell"
X			ISPELL=1
X			;;
X		\"OpenLDAP1\")
X			if [ "$OPENLDAP2" ]; then
X				echo "OpenLDAP1 and OpenLDAP2 are mutually exclusive." > /dev/stderr
X				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X				exit 1
X			fi
X			echo "LIB_DEPENDS+=	ldap.1:\${PORTSDIR}/net/openldap"
X			CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
X                        LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
X			WITH_LDAP="--with-authldap"
X			PKGNAMESUFFIX="${PKGNAMESUFFIX}-ldap"
X			SUB_LDAP=""
X			OPENLDAP1=1
X			;;
X		\"OpenLDAP2\")
X			if [ "$OPENLDAP1" ]; then
X				echo "OpenLDAP1 and OpenLDAP2 are mutually exclusive." > /dev/stderr
X				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X				exit 1
X			fi
X			echo "LIB_DEPENDS+=	ldap.2:\${PORTSDIR}/net/openldap2"
X			CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
X                        LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
X			WITH_LDAP="--with-authldap"
X			PKGNAMESUFFIX="${PKGNAMESUFFIX}-ldap"
X			SUB_LDAP=""
X			OPENLDAP2=1
X			;;
X		\"MySQL\")
X			if [ -f ${LOCALBASE}/vpopmail/lib/libvpopmail.a ]; then
X				echo "VPopMAil and MySQL are mutually exclusive." > /dev/stderr
X				echo "Uninstall VPopMAil if you want MySQL authentication." > /dev/stderr
X				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X				exit 1
X			else
X				echo "LIB_DEPENDS+=	mysqlclient.10:${PORTSDIR}/databases/mysql323-client"
X				WITH_MYSQL="--with-authmysql"
X				WITH_MYSQL="${WITH_MYSQL} --with-mysql-libs=${LOCALBASE}/lib/mysql"
X				WITH_MYSQL="${WITH_MYSQL} --with-mysql-includes=${LOCALBASE}/include/mysql"
X				PKGNAMESUFFIX="${PKGNAMESUFFIX}-mysql"
X				SUB_MYSQL=""
X			fi	
X			;;
X		\"PostgreSQL\")
X			echo "LIB_DEPENDS+=	pq.2:\${PORTSDIR}/databases/postgresql7"
X			WITH_PGSQL="--with-authpgsql"
X			WITH_PGSQL="${WITH_PGSQL} --with-pgsql-libs=${PGSQLBASE}/lib"
X			WITH_PGSQL="${WITH_PGSQL} --with-pgsql-includes=${PGSQLINCLUDES}"
X			PKGNAMESUFFIX="${PKGNAMESUFFIX}-pgsql"
X			SUB_PGSQL=""
X			;;
X		\"VPopMail\")
X			echo "BUILD_DEPENDS+=	${LOCALBASE}/vpopmail/lib/libvpopmail.a:${PORTSDIR}/mail/vpopmail"
X			WITH_VCHKPW="--with-authvchkpw"
X			PKGNAMESUFFIX="${PKGNAMESUFFIX}-vpopmail"
X			;;
X		\"Procmail\")
X			echo "BUILD_DEPENDS+=	procmail:${PORTSDIR}/mail/procmail"
X			;;
X		\"IPv6\")
X			WITH_IPV6=""
X			;;
X		*)
X			echo "Invalid option(s): $*" > /dev/stderr
X			rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
X			exit 1
X			;;
X	esac
X	shift
done
X
[ -n "${CPPFLAGS}" ]	&& echo "CONFIGURE_ENV+=	CPPFLAGS='${CPPFLAGS}'"
[ -n "${LDFLAGS}" ]	&& echo "CONFIGURE_ENV+=	LDFLAGS='${LDFLAGS}'"
[ -n "${LIBS}" ]	&& echo "CONFIGURE_ENV+=	LIBS='${LIBS}'"
echo "CONFIGURE_ARGS+= ${WITH_ISPELL}"
echo "CONFIGURE_ARGS+= ${WITH_LDAP}"
echo "CONFIGURE_ARGS+= ${WITH_MYSQL}"
echo "CONFIGURE_ARGS+= ${WITH_PGSQL}"
echo "CONFIGURE_ARGS+= ${WITH_VCHKPW}"
echo "CONFIGURE_ARGS+= ${WITH_IPV6}"
echo "PKGNAMESUFFIX=	${PKGNAMESUFFIX}"
echo "PLIST_SUB+=	SUB_LDAP='${SUB_LDAP}'"
echo "PLIST_SUB+=	SUB_MYSQL='${SUB_MYSQL}'"
echo "PLIST_SUB+=	SUB_PGSQL='${SUB_PGSQL}'"
SHAR_EOF
  (set 20 01 10 23 08 17 36 'courier/scripts/configure.courier'; eval "$shar_touch") &&
  chmod 0755 'courier/scripts/configure.courier' ||
  $echo 'restore of' 'courier/scripts/configure.courier' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/scripts/configure.courier:' 'MD5 check failed'
a060e707389d19d12257de2a75854743  courier/scripts/configure.courier
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/scripts/configure.courier'`"
    test 7817 -eq "$shar_count" ||
    $echo 'courier/scripts/configure.courier:' 'original size' '7817,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/scripts/c_rehash ==============
if test -f 'courier/scripts/c_rehash' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/scripts/c_rehash' '(file already exists)'
else
  $echo 'x -' extracting 'courier/scripts/c_rehash' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/scripts/c_rehash' &&
#!/usr/bin/perl
X
X
# Perl c_rehash script, scan all files in a directory
# and add symbolic links to their hash values.
X
my $openssl;
X
my $dir = "/etc/ssl";
X
if(defined $ENV{OPENSSL}) {
X	$openssl = $ENV{OPENSSL};
} else {
X	$openssl = "openssl";
X	$ENV{OPENSSL} = $openssl;
}
X
if(! -f $openssl) {
X	my $found = 0;
X	foreach (split /:/, $ENV{PATH}) {
X		if(-f "$_/$openssl") {
X			$found = 1;
X			last;
X		}	
X	}
X	if($found == 0) {
X		print STDERR "c_rehash: rehashing skipped ('openssl' program not available)\n";
X		exit 0;
X	}
}
X
if(@ARGV) {
X	@dirlist = @ARGV;
} elsif($ENV{SSL_CERT_DIR}) {
X	@dirlist = split /:/, $ENV{SSL_CERT_DIR};
} else {
X	$dirlist[0] = "$dir/certs";
}
X
X
foreach (@dirlist) {
X	if(-d $_ and -w $_) {
X		hash_dir($_);
X	}
}
X
sub hash_dir {
X	my %hashlist;
X	print "Doing $_[0]\n";
X	chdir $_[0];
X	opendir(DIR, ".");
X	my @flist = readdir(DIR);
X	# Delete any existing symbolic links
X	foreach (grep {/^[\da-f]+\.r{0,1}\d+$/} @flist) {
X		if(-l $_) {
X			unlink $_;
X		}
X	}
X	closedir DIR;
X	FILE: foreach $fname (grep {/\.pem$/} @flist) {
X		# Check to see if certificates and/or CRLs present.
X		my ($cert, $crl) = check_file($fname);
X		if(!$cert && !$crl) {
X			print STDERR "WARNING: $fname does not contain a certificate or CRL: skipping\n";
X			next;
X		}
X		link_hash_cert($fname) if($cert);
X		link_hash_crl($fname) if($crl);
X	}
}
X
sub check_file {
X	my ($is_cert, $is_crl) = (0,0);
X	my $fname = $_[0];
X	open IN, $fname;
X	while(<IN>) {
X		if(/^-----BEGIN (.*)-----/) {
X			my $hdr = $1;
X			if($hdr =~ /^(X509 |TRUSTED |)CERTIFICATE$/) {
X				$is_cert = 1;
X				last if($is_crl);
X			} elsif($hdr eq "X509 CRL") {
X				$is_crl = 1;
X				last if($is_cert);
X			}
X		}
X	}
X	close IN;
X	return ($is_cert, $is_crl);
}
X
X
# Link a certificate to its subject name hash value, each hash is of
# the form <hash>.<n> where n is an integer. If the hash value already exists
# then we need to up the value of n, unless its a duplicate in which
# case we skip the link. We check for duplicates by comparing the
# certificate fingerprints
X
sub link_hash_cert {
X		my $fname = $_[0];
X		my ($hash, $fprint) = `$openssl x509 -hash -fingerprint -noout -in $fname`;
X		chomp $hash;
X		chomp $fprint;
X		$fprint =~ s/^.*=//;
X		$fprint =~ tr/://d;
X		my $suffix = 0;
X		# Search for an unused hash filename
X		while(exists $hashlist{"$hash.$suffix"}) {
X			# Hash matches: if fingerprint matches its a duplicate cert
X			if($hashlist{"$hash.$suffix"} eq $fprint) {
X				print STDERR "WARNING: Skipping duplicate certificate $fname\n";
X				return;
X			}
X			$suffix++;
X		}
X		$hash .= ".$suffix";
X		print "$fname => $hash\n";
X		$symlink_exists=eval {symlink("",""); 1};
X		if ($symlink_exists) {
X			symlink $fname, $hash;
X		} else {
X			system ("cp", $fname, $hash);
X		}
X		$hashlist{$hash} = $fprint;
}
X
# Same as above except for a CRL. CRL links are of the form <hash>.r<n>
X
sub link_hash_crl {
X		my $fname = $_[0];
X		my ($hash, $fprint) = `$openssl crl -hash -fingerprint -noout -in $fname`;
X		chomp $hash;
X		chomp $fprint;
X		$fprint =~ s/^.*=//;
X		$fprint =~ tr/://d;
X		my $suffix = 0;
X		# Search for an unused hash filename
X		while(exists $hashlist{"$hash.r$suffix"}) {
X			# Hash matches: if fingerprint matches its a duplicate cert
X			if($hashlist{"$hash.r$suffix"} eq $fprint) {
X				print STDERR "WARNING: Skipping duplicate CRL $fname\n";
X				return;
X			}
X			$suffix++;
X		}
X		$hash .= ".r$suffix";
X		print "$fname => $hash\n";
X		$symlink_exists=eval {symlink("",""); 1};
X		if ($symlink_exists) {
X			symlink $fname, $hash;
X		} else {
X			system ("cp", $fname, $hash);
X		}
X		$hashlist{$hash} = $fprint;
}
X
SHAR_EOF
  (set 20 01 10 19 11 10 16 'courier/scripts/c_rehash'; eval "$shar_touch") &&
  chmod 0755 'courier/scripts/c_rehash' ||
  $echo 'restore of' 'courier/scripts/c_rehash' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/scripts/c_rehash:' 'MD5 check failed'
0e9055f058953e685c4dc93268fe6205  courier/scripts/c_rehash
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/scripts/c_rehash'`"
    test 3556 -eq "$shar_count" ||
    $echo 'courier/scripts/c_rehash:' 'original size' '3556,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-message ==============
if test -f 'courier/pkg-message' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-message' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-message' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/pkg-message' &&
X			ATTENTION.........ATTENTION
X
X		RTFM before configuring and runnig Courier!!!
X
X	Check and/or modify the following configuration files to
X	suit your needs:
X
X		%%PREFIX%%/etc/courier/authdaemonrc
X		%%PREFIX%%/etc/courier/authldaprc
X		%%PREFIX%%/etc/courier/authmysqlrc
X		%%PREFIX%%/etc/courier/authpgsqlrc
X		%%PREFIX%%/etc/courier/courierd
X		%%PREFIX%%/etc/courier/esmtpd
X		%%PREFIX%%/etc/courier/esmtpd-msa
X		%%PREFIX%%/etc/courier/imapd
X		%%PREFIX%%/etc/courier/imapd-ssl
X		%%PREFIX%%/etc/courier/ldapaddressbook
X		%%PREFIX%%/etc/courier/ldapaliasrc
X		%%PREFIX%%/etc/courier/pop3d
X		%%PREFIX%%/etc/courier/pop3d-ssl
X
X	Note that some of the configuration files might not exist
X	depending on which authentication services you chose to
X	omit.
X
X	Do not forget to update /etc/pam.conf with the contents of
X	%%PREFIX%%/etc/courier/*.authpam. See /etc/pam.conf(8) for
X	further assistance.
X
X	Documentation (if installed locally) is located in
X	%%PREFIX%%/share/doc/courier/ otherwise see
X	http://www.Courier-MTA.org/
X
SHAR_EOF
  (set 20 01 10 22 23 04 49 'courier/pkg-message'; eval "$shar_touch") &&
  chmod 0644 'courier/pkg-message' ||
  $echo 'restore of' 'courier/pkg-message' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-message:' 'MD5 check failed'
65e189a54e593c2157c1dd8f5615d8dd  courier/pkg-message
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-message'`"
    test 1012 -eq "$shar_count" ||
    $echo 'courier/pkg-message:' 'original size' '1012,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/Makefile ==============
if test -f 'courier/Makefile' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/Makefile' '(file already exists)'
else
  $echo 'x -' extracting 'courier/Makefile' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/Makefile' &&
# New ports collection makefile for: Courier MTA
# Date created:		17 Oct 2001
# Whom:			Yarema <yds@dppl.com>
#
# $FreeBSD: $
#
X
PORTNAME=	courier
PORTVERSION=	0.35.1.20011014
PORTREVISION=	0
CATEGORIES=	mail ipv6
MASTER_SITES=	http://www.courier-mta.org/beta/%SUBDIR%/ \
X		${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	courier
X
MAINTAINER=	yds@dppl.com
X
#
# User-serviceable variables
#
# [ There's no need to add trailing ``/''s ]
#
# set IMAGEURL to where on the web server URL the images are found
# set CACHEOWNER to who you'd like to own the cache files
# set MAILDROPDEFAULT to what you'd like the $DEFAULT in maildrop to be
#     recomended values are: /var/mail, ./Mailbox or ./Maildir
#
IMAGEURL?=	/webmail
CACHEOWNER?=	pop
MAILDROPDEFAULT?=./Maildir
# End of user-serviceable variables
MAILUSER=	courier
MAILGROUP=	courier
MAILUID=	62
MAILGID=	62
ETCDIR=		${PREFIX}/etc
SYSCONFDIR=	${ETCDIR}/courier
USERDB=		${ETCDIR}/userdb
LIBEXECDIR=	${PREFIX}/libexec
LOCALSTATEDIR=	/var/spool/courier
CACHEDIR=	/var/spool/webmail
MIMETYPES=	${LOCALBASE}/etc/apache/mime.types
X
BUILD_DEPENDS=	${LOCALBASE}/share/aclocal/sysconftool.m4:${PORTSDIR}/devel/sysconftool
X
USE_GMAKE=	yes
USE_AUTOMAKE=	yes
USE_LIBTOOL=	yes
USE_OPENSSL=	yes
CONFIGURE_ARGS=	--disable-root-check --with-db=db \
X		--enable-syslog=1 --enable-use-flock \
X		--with-mailuser=${MAILUSER} \
X		--with-mailgroup=${MAILGROUP} \
X		--with-mailuid=${MAILUID} \
X		--with-mailgid=${MAILGID} \
X 		--with-etcdir=${ETCDIR} \
X		--sysconfdir=${SYSCONFDIR} \
X		--with-userdb=${USERDB} \
X		--datadir=${DATADIR} \
X		--libexecdir=${LIBEXECDIR} \
X		--localstatedir=${LOCALSTATEDIR} \
X		--enable-mimetypes=${MIMETYPES} \
X		--enable-imageurl=${IMAGEURL} \
X		--with-cachedir=${CACHEDIR} \
X		--with-cacheowner=${CACHEOWNER} \
X		--with-default-maildrop=${MAILDROPDEFAULT} \
X		--enable-workarounds-for-imap-client-bugs
CONFIGURE_ENV=	PATH="${PATH}:${SCRIPTDIR}"
X
MTREE_FILE=	${PKGDIR}/pkg-mtree
PKGMESSAGE=	${WRKDIR}/.PKGMESSAGE
X
INSTALL_TARGET=	install-strip
X
PLIST_SUB+=	CACHEOWNER="${CACHEOWNER}"
X
SCRIPTS_ENV=	WRKDIRPREFIX="${WRKDIRPREFIX}" \
X		TOUCH="${TOUCH}" \
X		MKDIR="${MKDIR}"
X
X.include "${.CURDIR}/Makefile.man"
X.include "${.CURDIR}/Makefile.doc"
X
pre-everything:
X	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.courier
X
X.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
X.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
X.endif
X
pre-configure:
X	@${SED} s:%%PREFIX%%:${PREFIX}: \
X		${.CURDIR}/pkg-message \
X		> ${WRKDIR}/.PKGMESSAGE
X	@${SED} s:%%PREFIX%%:${PREFIX}: \
X		${FILESDIR}/crontab.in \
X		> ${WRKDIR}/crontab.in
X
# patch around a bug in autoconf where the INSTALL macro does
# not get set properly in directories more than one level deep
post-build:
X	@${PERL} -pi -e 's:^INSTALL = \.\./:INSTALL = ${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP}:;' \
X		`${GREP} -rl '^INSTALL = \.\./' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
X	@${PERL} -pi -e 's:^TAR = gtar$$:TAR = ${TAR}:g;' \
X		`${GREP} -rl '^TAR = gtar$$' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
X	@${PERL} -pi -e 's:^(auth)\s+(required).*:$$1\t\t$$2\tpam_unix.so\ttry_first_pass:g; \
X			s:^(account)\s+(required).*:$$1 \t$$2\tpam_unix.so:g; \
X			s:^(session)\s+(required).*:$$1 \t$$2\tpam_permit.so:g;' \
X		${WRKSRC}/*/*.authpam* \
X		${WRKSRC}/*/*/*.authpam*
X	@${LN} ${WRKSRC}/gpglib/README.html	${WRKSRC}/gpglib/README.gpglib.html
X	@${LN} ${WRKSRC}/imap/FAQ		${WRKSRC}/imap/FAQ.imap
X	@${LN} ${WRKSRC}/imap/FAQ.html		${WRKSRC}/imap/FAQ.imap.html
X	@${LN} ${WRKSRC}/imap/README		${WRKSRC}/imap/README.imap
X	@${LN} ${WRKSRC}/imap/README.html	${WRKSRC}/imap/README.imap.html
X	@${LN} ${WRKSRC}/maildrop/README.html	${WRKSRC}/maildrop/README.maildrop.html
X	@${LN} ${WRKSRC}/webmail/BUGS		${WRKSRC}/webmail/BUGS.webmail
X	@${LN} ${WRKSRC}/webmail/BUGS.html	${WRKSRC}/webmail/BUGS.webmail.html
X	@${LN} ${WRKSRC}/webmail/SECURITY	${WRKSRC}/webmail/SECURITY.webmail
X	@${LN} ${WRKSRC}/webmail/SECURITY.html	${WRKSRC}/webmail/SECURITY.webmail.html
X
pre-install:
X	@PKG_PREFIX="${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
X
post-install:
X	@PKG_PREFIX="${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
X	@strip ${PREFIX}/libexec/courier/modules/*/*
X	@${LN} -f ${SYSCONFDIR}/maildrop ${SYSCONFDIR}/maildropfilter
X	@${INSTALL} -o ${MAILUID} -g ${MAILGID} -m ${NOBINMODE} \
X		/dev/null ${SYSCONFDIR}/locallowercase
X	@${INSTALL_SCRIPT} ${FILESDIR}/courier.sh ${PREFIX}/etc/rc.d
X	@${INSTALL_DATA} ${WRKDIR}/crontab.in ${PREFIX}/etc/courier/
X	@${GREP} '^@exec ' ${TMPPLIST} \
X		| ${SED} -e 's:^@exec ::' -e 's:%D:${PREFIX}:g' \
X		> ${WRKDIR}/.PLIST.exec \
X		&& ${SH} ${WRKDIR}/.PLIST.exec
X.if !defined(NOPORTDOCS)
X	@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} ${DOCSDIR}/html
X	@${INSTALL_DATA} ${DATADIR}/htmldoc/* ${DOCSDIR}/html
X.for file in ${DOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
X.endfor
X.endif
X	@${RM} -rf ${DATADIR}/htmldoc
X	@for F in ${MANPREFIX}/man/man[1-9ln]/*; \
X		do ${CHMOD} ${MANMODE} $$F; \
X	done
X	@${CHOWN} -R ${MANOWN}:${MANGRP} ${MANPREFIX}/man/man[1-9ln]
X	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DATADIR}
X	@${CHMOD} -R a-w ${DATADIR}
X	@${MTREE_CMD} ${MTREE_ARGS} ${PREFIX}/ > /dev/null
X	@${CAT} ${PKGMESSAGE}
X	
post-clean:
X	@${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
X
X.include <bsd.port.mk>
SHAR_EOF
  (set 20 01 10 23 15 38 57 'courier/Makefile'; eval "$shar_touch") &&
  chmod 0644 'courier/Makefile' ||
  $echo 'restore of' 'courier/Makefile' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/Makefile:' 'MD5 check failed'
66be50e5bb05444f161074d9cc0d46cc  courier/Makefile
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/Makefile'`"
    test 5235 -eq "$shar_count" ||
    $echo 'courier/Makefile:' 'original size' '5235,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/distinfo ==============
if test -f 'courier/distinfo' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/distinfo' '(file already exists)'
else
  $echo 'x -' extracting 'courier/distinfo' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/distinfo' &&
MD5 (courier-0.35.1.20011014.tar.gz) = bdaa4212b3a0ecbf45060d85a405798e
SHAR_EOF
  (set 20 01 10 19 22 10 22 'courier/distinfo'; eval "$shar_touch") &&
  chmod 0644 'courier/distinfo' ||
  $echo 'restore of' 'courier/distinfo' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/distinfo:' 'MD5 check failed'
c9cffdbdbe27a9f287fa750624c83c33  courier/distinfo
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/distinfo'`"
    test 72 -eq "$shar_count" ||
    $echo 'courier/distinfo:' 'original size' '72,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-comment ==============
if test -f 'courier/pkg-comment' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-comment' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-comment' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/pkg-comment' &&
Courier SMTP IMAP POP3 HTTP mail server suite
SHAR_EOF
  (set 20 01 10 17 11 09 07 'courier/pkg-comment'; eval "$shar_touch") &&
  chmod 0644 'courier/pkg-comment' ||
  $echo 'restore of' 'courier/pkg-comment' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-comment:' 'MD5 check failed'
d86fbc88a2bd4ba8e63a8cbbe7e84ab7  courier/pkg-comment
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-comment'`"
    test 46 -eq "$shar_count" ||
    $echo 'courier/pkg-comment:' 'original size' '46,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-descr ==============
if test -f 'courier/pkg-descr' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-descr' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-descr' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/pkg-descr' &&
Courier is a modular multiprotocol mail server that's designed to
strike a balance between reasonable performance, flexibility and
features.
X   
X * Can be configured to function as an intermediate mail relay, or
X   as a mail server that receives mail for one or more domains, or
X   anything in between.
X * Web-based administration and configuration tool.
X * Uses an efficient maildir format as its native mail storage
X   format. Some support is provided for legacy mbox mailboxes.
X * DSN, PIPELINING, and 8BITMIME ESMTP extension. Courier
X   automatically converts 8-bit messages to 7-bit encoding, for
X   relaying mail to external mail gateways.
X * STARTTLS ESMTP extension (as well as IMAP/POP3/Webmail over SSL)
X   in both the client and the server (requires OpenSSL). The ESMTP
X   client can optionally require that the remote server's X.509
X   certificate is signed by a trusted root CA (a default set of
X   root CAs is provided).
X * Mailboxes can be accessed via POP3 with an integrated POP3 server.
X * Mailboxes can be accessed via IMAP with an integrated IMAP server.
X * Mailboxes can be accessed via HTTP with an integrated WebMail server.
X * Courier includes a mailing list manager.
X * SOCKSv5 support. Courier can punch through a SOCKS firewall to
X   send outgoing mail. Receiving mail through a SOCKS firewall is not
X   yet supported, unfortunately.
X * PAM, LDAP, PostgreSQL, or MySQL authentication. LDAP
X   authentication requires OpenLDAP to be installed. LDAP-based
X   mail routing is also supported.
X * Gateway mail to/from UUCP.
X * Authenticated SMTP.
X * XVERP and XEXDATA ESMTP extensions.
X * DNS-based blacklists. Ability to exempt whitelisted IP addresses
X   from the blacklists.
X * Integrated mail filtering. An API is provided for installing
X   arbitrary external mail filters, and the system administrator can
X   selectively enable for any mail source (ESMTP, UUCP, locally
X   submitted mail) for filtering. Two example mail filters are
X   included - one written in C that uses threads, and a Perl-based
X   filter. The system administrator can also enable the ability for
X   individual mail recipients to specify their own mail filtering
X   rules, using a scripting language (implemented by maildrop). Mail
X   filtering is implemented as an integral part of the mail server.
X   Unwanted mail is rejected, and is not accepted by Courier for
X   delivery (the external mail relay receives the error, and it
X   becomes the external relay's problem as to what to do with
X   unwanted junk mail).
X * .forward files are partially supported. Courier can import most
X   basic /etc/aliases files from sendmail, but sendmail's
X   .forward and /etc/aliases files are simply not 100% compatible
X   with Courier's security model. Most .forward and /etc/aliases
X   files should be acceptable, but some may not.
X * Optional ability to import most of Qmail's .qmail files (Courier
X   uses an almost 100% compatible local mail delivery instruction
X   format).
X * You can set a maximum number of messages to deliver simultaneously
X   to the same host. This, in fact, is strongly encouraged so that a
X   single nonfunctioning domain does not take up all available
X   delivery slots. Rate limiting is implemented in the main
X   scheduler, and applies to any transport mechanism, not just ESMTP.
X * Mailing list administrators can specify a backup relay and have
X   mail that's not immediately deliverable offloaded to a backup
X   server (this feature needs testing/feedback).
X
WWW: http://www.Courier-MTA.org/
SHAR_EOF
  (set 20 01 10 23 01 16 58 'courier/pkg-descr'; eval "$shar_touch") &&
  chmod 0644 'courier/pkg-descr' ||
  $echo 'restore of' 'courier/pkg-descr' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-descr:' 'MD5 check failed'
0637a4994c2f3d2bfc54ce9ce2b404dd  courier/pkg-descr
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-descr'`"
    test 3512 -eq "$shar_count" ||
    $echo 'courier/pkg-descr:' 'original size' '3512,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-install ==============
if test -f 'courier/pkg-install' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-install' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-install' '(binary)'
  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
begin 600 courier/pkg-install
M(R$O8FEN+W-H"B,*(R`D1G)E94)31#H@)`HC"@I02T=?4%)%1DE8/21[4$M'
M7U!2149)6#H]+W5S<B]L;V-A;'T*"G5S97(]8V]U<FEE<CL)=6ED/38R"F=R
M;W5P/6-O=7)I97(["6=I9#TV,@H*87-K*"D@>PH@("`@;&]C86P@<75E<W1I
M;VX@9&5F875L="!A;G-W97(*"B`@("!Q=65S=&EO;CTD,0H@("`@9&5F875L
M=#TD,@H@("`@:68@6R`M>B`B)'M004-+04=%7T)524Q$24Y'?2(@73L@=&AE
M;@H@("`@("`@(')E860@+7`@(B1[<75E<W1I;VY](%LD>V1E9F%U;'1]73\@
M(B!A;G-W97(*("`@(&9I"B`@("!I9B!;('@D>V%N<W=E<GT@/2!X(%T[('1H
M96X*("`@("`@("!A;G-W97(])'MD969A=6QT?0H@("`@9FD*("`@(&5C:&\@
M)'MA;G-W97)]"GT*"GEE<VYO*"D@>PH@("`@;&]C86P@<75E<W1I;VX@9&5F
M875L="!A;G-W97(*"B`@("!Q=65S=&EO;CTD,0H@("`@9&5F875L=#TD,@H@
M("`@=VAI;&4@.CL@9&\*("`@("`@("!A;G-W97(])"AA<VL@(B1[<75E<W1I
M;VY](B`B)'MD969A=6QT?2(I"B`@("`@("`@8V%S92`B)'MA;G-W97)](B!I
M;@H@("`@("`@(%M9>5TJ*0ER971U<FX@,#L["B`@("`@("`@6TYN72HI"7)E
M='5R;B`Q.SL*("`@("`@("!E<V%C"B`@("`@("`@96-H;R`B4&QE87-E(&%N
M<W=E<B!Y97,@;W(@;F\N(@H@("`@9&]N90I]"@II9B!;('@B)#(B(#T@>%!2
M12U)3E-404Q,(%T[('1H96X*("`@(&EF("]U<W(O<V)I;B]P=R!G<F]U<'-H
M;W<@(B1[9W)O=7!](B`R/B]D978O;G5L;#L@=&AE;@H@("`@("`@(&5C:&\@
M(EEO=2!A;')E861Y(&AA=F4@82!G<F]U<"!<(B1[9W)O=7!]7"(L('-O($D@
M=VEL;"!U<V4@:70N(@H@("`@96QS90H@("`@("`@(&5C:&\@(EEO=2!N965D
M(&$@9W)O=7`@7"(D>V=R;W5P?5PB+B(*("`@("`@("!I9B!Y97-N;R`B5V]U
M;&0@>6]U(&QI:V4@;64@=&\@8W)E871E(&ET(B!Y.R!T:&5N"B`@("`@("`@
M("`@("]U<W(O<V)I;B]P=R!G<F]U<&%D9"`D>V=R;W5P?2`M9R`D>V=I9'T@
M+6@@+2!\?"!E>&ET"B`@("`@("`@("`@(&5C:&\@(D1O;F4N(@H@("`@("`@
M(&5L<V4*("`@("`@("`@("`@96-H;R`B4&QE87-E(&-R96%T92!I="P@86YD
M('1R>2!A9V%I;BXB"B`@("`@("`@("`@(&5X:70@,0H@("`@("`@(&9I"B`@
M("!F:0H*("`@(&EF("]U<W(O<V)I;B]P=R!U<V5R('-H;W<@(B1[=7-E<GTB
M(#(^+V1E=B]N=6QL.R!T:&5N"B`@("`@("`@96-H;R`B66]U(&%L<F5A9'D@
M:&%V92!A('5S97(@7"(D>W5S97)]7"(L('-O($D@=VEL;"!U<V4@:70N(@H@
M("`@96QS90H@("`@("`@(&5C:&\@(EEO=2!N965D(&$@=7-E<B!<(B1[=7-E
M<GU<(BXB"B`@("`@("`@:68@>65S;F\@(E=O=6QD('EO=2!L:6ME(&UE('1O
M(&-R96%T92!I="(@>3L@=&AE;@H@("`@("`@("`@("`O=7-R+W-B:6XO<'<@
M=7-E<F%D9"`D>W5S97)]("UU("1[=6ED?2`M9R`D>V=R;W5P?2`M:"`M(%P*
M("`@("`@("`@("`@("`@("UD("]V87(O<W!O;VPO8V]U<FEE<B!<"B`@("`@
M("`@("`@("`@("`M<R`O<V)I;B]N;VQO9VEN(%P*("`@("`@("`@("`@("`@
M("UC(")#;W5R:65R($UA:6P@4WES=&5M(B!\?"!E>&ET"B`@("`@("`@("`@
M(&5C:&\@(D1O;F4N(@H@("`@("`@(&5L<V4*("`@("`@("`@("`@96-H;R`B
M4&QE87-E(&-R96%T92!I="P@86YD('1R>2!A9V%I;BXB"B`@("`@("`@("`@
M(&5X:70@,0H@("`@("`@(&9I"B`@("!F:0IF:0H*<F5P;&%C92@I('L*("`@
M(&QO8V%L(&]R:6<@<F5P;`H@("`@"B`@("!O<FEG/20Q"B`@("!R97!L/20R
M"B`@("!I9B!;("UE("1[;W)I9WT@73L@=&AE;@H@("`@("`@(&UV("UF("1[
M;W)I9WT@)'MO<FEG?2Y/1D8*("`@("`@("!C:&UO9"`P("1[;W)I9WTN3T9&
M"B`@("!F:0H@("`@:68@6R`M92`D>W)E<&Q](%T[('1H96X*("`@("`@("!L
M;B`M<R`D>W)E<&Q]("1[;W)I9WT*("`@(&9I"GT*"FEF(%L@>"(D,B(@/2!X
M4$]35"U)3E-404Q,("UA("UZ("(D>U!!0TM!1T5?0E5)3$1)3D=](B!=.R!T
M:&5N"B`@("!I9B!;("UX("]S8FEN+W-Y<V-T;"!=.R!T:&5N"B`@("`@("`@
M3U-615)324]./6`O<V)I;B]S>7-C=&P@+6X@:V5R;BYO<W)E;&1A=&5@"B`@
M("!E;'-E"B`@("`@("`@3U-615)324]./6`O=7-R+W-B:6XO<WES8W1L("UN
M(&ME<FXN;W-R96QD871E8`H@("`@9FD*("`@(&EF(%L@)'M/4U9%4E-)3TY]
M("UG92`T,#`P,30@73L@=&AE;@H@("`@("`@(&EF('EE<VYO(")7;W5L9"!Y
M;W4@;&EK92!T;R!A8W1I=F%T92!#;W5R:65R(&EN("]E=&,O;6%I;"]M86EL
M97(N8V]N9B(@;CL@=&AE;@H@("`@("`@("`@("!M=B`M9B`O971C+VUA:6PO
M;6%I;&5R+F-O;F8@+V5T8R]M86EL+VUA:6QE<BYC;VYF+F]L9`H@("`@("`@
M("`@("!E8VAO("(C(@D)"0D)"3X@("]E=&,O;6%I;"]M86EL97(N8V]N9@H@
M("`@("`@("`@("!E8VAO("UN("(C($5X96-U=&4@=&AE($-O=7)I97(@<V5N
M9&UA:6P@<')O9W)A;2()/CX@+V5T8R]M86EL+VUA:6QE<BYC;VYF"B`@("`@
M("`@("`@(&5C:&\@(BP@;F%M960@)'M02T=?4%)%1DE8?2]B:6XO<V5N9&UA
M:6PB"0D^/B`O971C+VUA:6PO;6%I;&5R+F-O;F8*("`@("`@("`@("`@96-H
M;R`B(R()"0D)"0D^/B`O971C+VUA:6PO;6%I;&5R+F-O;F8*("`@("`@("`@
M("`@96-H;R`B<V5N9&UA:6P))'M02T=?4%)%1DE8?2]B:6XO<V5N9&UA:6PB
M"3X^("]E=&,O;6%I;"]M86EL97(N8V]N9@H@("`@("`@("`@("!E8VAO(")S
M96YD+6UA:6P))'M02T=?4%)%1DE8?2]B:6XO<V5N9&UA:6PB"3X^("]E=&,O
M;6%I;"]M86EL97(N8V]N9@H@("`@("`@("`@("!E8VAO(")M86EL<0D))'M0
M2T=?4%)%1DE8?2]B:6XO;6%I;'$B"3X^("]E=&,O;6%I;"]M86EL97(N8V]N
M9@H@("`@("`@("`@("!E8VAO(")N97=A;&EA<V5S"21[4$M'7U!2149)6'TO
M<V)I;B]M86ME86QI87-E<R()/CX@+V5T8R]M86EL+VUA:6QE<BYC;VYF"B`@
M("`@("`@("`@(&5C:&\@(D1O;F4N(@H@("`@("`@(&9I"B`@("!E;'-E"B`@
M("`@("`@:68@>65S;F\@(E=O=6QD('EO=2!L:6ME('1O(')E<&QA8V4@>W-E
M;F1M86EL+&UA:6QQ+&YE=V%L:6%S97-]('=I=&@@0V]U<FEE<B!V97)S:6]N
M<R(@;CL@=&AE;@H@("`@("`@("`@("!R97!L86-E("]U<W(O<V)I;B]S96YD
M;6%I;`DD>U!+1U]04D5&25A]+V)I;B]S96YD;6%I;`H@("`@("`@("`@("!R
M97!L86-E("]U<W(O8FEN+VUA:6QQ"21[4$M'7U!2149)6'TO8FEN+VUA:6QQ
M"B`@("`@("`@("`@(')E<&QA8V4@+W5S<B]B:6XO;F5W86QI87-E<PDD>U!+
M1U]04D5&25A]+W-B:6XO;6%K96%L:6%S97,*("`@("`@("`@("`@96-H;R`B
;1&]N92XB"B`@("`@("`@9FD*("`@(&9I"F9I
`
end
SHAR_EOF
  (set 20 01 10 21 07 26 18 'courier/pkg-install'; eval "$shar_touch") &&
  chmod 0755 'courier/pkg-install' ||
  $echo 'restore of' 'courier/pkg-install' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-install:' 'MD5 check failed'
76ce43488bde76309fd62cf9e1454d65  courier/pkg-install
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-install'`"
    test 3312 -eq "$shar_count" ||
    $echo 'courier/pkg-install:' 'original size' '3312,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-plist ==============
if test -f 'courier/pkg-plist' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-plist' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-plist' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/pkg-plist' &&
@unexec %D/etc/rc.d/courier.sh stop 2>/dev/null || true
@unexec rm -f %D/etc/courier/*.dat 2>/dev/null || true
@unexec cmp -s %D/etc/courier/authdaemonrc %D/etc/courier/authdaemonrc.dist && rm -f %D/etc/courier/authdaemonrc 2>/dev/null || true
%%SUB_LDAP%%@unexec cmp -s %D/etc/courier/authldaprc %D/etc/courier/authldaprc.dist && rm -f %D/etc/courier/authldaprc 2>/dev/null || true
%%SUB_MYSQL%%@unexec cmp -s %D/etc/courier/authmysqlrc %D/etc/courier/authmysqlrc.dist && rm -f %D/etc/courier/authmysqlrc 2>/dev/null || true
%%SUB_PGSQL%%@unexec cmp -s %D/etc/courier/authpgsqlrc %D/etc/courier/authpgsqlrc.dist && rm -f %D/etc/courier/authpgsqlrc 2>/dev/null || true
@unexec cmp -s %D/etc/courier/courierd %D/etc/courier/courierd.dist && rm -f %D/etc/courier/courierd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/esmtpd-msa %D/etc/courier/esmtpd-msa.dist && rm -f %D/etc/courier/esmtpd-msa 2>/dev/null || true
@unexec cmp -s %D/etc/courier/esmtpd %D/etc/courier/esmtpd.dist && rm -f %D/etc/courier/esmtpd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/imapd-ssl %D/etc/courier/imapd-ssl.dist && rm -f %D/etc/courier/imapd-ssl 2>/dev/null || true
@unexec cmp -s %D/etc/courier/imapd %D/etc/courier/imapd.dist && rm -f %D/etc/courier/imapd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/ldapaddressbook %D/etc/courier/ldapaddressbook.dist && rm -f %D/etc/courier/ldapaddressbook 2>/dev/null || true
%%SUB_LDAP%%@unexec cmp -s %D/etc/courier/ldapaliasrc %D/etc/courier/ldapaliasrc.dist && rm -f %D/etc/courier/ldapaliasrc 2>/dev/null || true
@unexec cmp -s %D/etc/courier/pop3d-ssl %D/etc/courier/pop3d-ssl.dist && rm -f %D/etc/courier/pop3d-ssl 2>/dev/null || true
@unexec cmp -s %D/etc/courier/pop3d %D/etc/courier/pop3d.dist && rm -f %D/etc/courier/pop3d 2>/dev/null || true
bin/cancelmsg
bin/courier-config
bin/couriermlm
bin/couriertls
bin/deliverquota
bin/dotforward
bin/dotlock
bin/imapd
bin/mailbot
bin/maildirmake
bin/maildrop
bin/mailq
bin/makedat
bin/makemime
bin/mimegpg
bin/preline
bin/reformail
bin/reformime
bin/rmail
bin/sendmail
bin/testmxlookup
etc/courier/aliases/system
etc/courier/authdaemonrc.dist
%%SUB_LDAP%%etc/courier/authldaprc.dist
etc/courier/authmodulelist
%%SUB_MYSQL%%etc/courier/authmysqlrc.dist
%%SUB_PGSQL%%etc/courier/authpgsqlrc.dist
etc/courier/courierd.dist
etc/courier/crontab.in
etc/courier/dsndelayed.txt
etc/courier/dsndelivered.txt
etc/courier/dsnfailed.txt
etc/courier/dsnfooter.txt
etc/courier/dsnheader.txt
etc/courier/dsnrelayed.txt
etc/courier/dsnsubjectnotice.txt
etc/courier/dsnsubjectwarn.txt
etc/courier/enablefiltering
etc/courier/esmtp.authpam
etc/courier/esmtpauthclient
etc/courier/esmtpd-msa.dist
etc/courier/esmtpd.cnf
etc/courier/esmtpd.dist
etc/courier/imapd-ssl.dist
etc/courier/imapd.authpam
etc/courier/imapd.cnf
etc/courier/imapd.dist
etc/courier/ldapaddressbook.dist
%%SUB_LDAP%%etc/courier/ldapaliasrc.dist
etc/courier/locallowercase
etc/courier/maildrop
etc/courier/maildropfilter
etc/courier/module.dsn
etc/courier/module.esmtp
etc/courier/module.local
etc/courier/module.uucp
etc/courier/pop3d-ssl.dist
etc/courier/pop3d.authpam
etc/courier/pop3d.cnf
etc/courier/pop3d.dist
etc/courier/quotawarnmsg.example
etc/courier/smtpaccess/default
etc/courier/webmail.authpam
@exec [ -e /etc/aliases ] && ln -sf /etc/aliases %D/etc/courier/aliases/system
@exec [ -f %D/etc/courier/authdaemonrc ] || cp -p %D/etc/courier/authdaemonrc.dist %D/etc/courier/authdaemonrc
%%SUB_LDAP%%@exec [ -f %D/etc/courier/authldaprc ] || cp -p %D/etc/courier/authldaprc.dist %D/etc/courier/authldaprc
%%SUB_MYSQL%%@exec [ -f %D/etc/courier/authmysqlrc ] || cp -p %D/etc/courier/authmysqlrc.dist %D/etc/courier/authmysqlrc
%%SUB_PGSQL%%@exec [ -f %D/etc/courier/authpgsqlrc ] || cp -p %D/etc/courier/authpgsqlrc.dist %D/etc/courier/authpgsqlrc
@exec [ -f %D/etc/courier/courierd ] || cp -p %D/etc/courier/courierd.dist %D/etc/courier/courierd
@exec [ -f %D/etc/courier/esmtpd-msa ] || cp -p %D/etc/courier/esmtpd-msa.dist %D/etc/courier/esmtpd-msa
@exec [ -f %D/etc/courier/esmtpd ] || cp -p %D/etc/courier/esmtpd.dist %D/etc/courier/esmtpd
@exec [ -f %D/etc/courier/imapd-ssl ] || cp -p %D/etc/courier/imapd-ssl.dist %D/etc/courier/imapd-ssl
@exec [ -f %D/etc/courier/imapd ] || cp -p %D/etc/courier/imapd.dist %D/etc/courier/imapd
@exec [ -f %D/etc/courier/ldapaddressbook ] || cp -p %D/etc/courier/ldapaddressbook.dist %D/etc/courier/ldapaddressbook
%%SUB_LDAP%%@exec [ -f %D/etc/courier/ldapaliasrc ] || cp -p %D/etc/courier/ldapaliasrc.dist %D/etc/courier/ldapaliasrc
@exec [ -f %D/etc/courier/pop3d-ssl ] || cp -p %D/etc/courier/pop3d-ssl.dist %D/etc/courier/pop3d-ssl
@exec [ -f %D/etc/courier/pop3d ] || cp -p %D/etc/courier/pop3d.dist %D/etc/courier/pop3d
@unexec rmdir %D/etc/courier/aliasdir 2>/dev/null || true
@unexec rmdir %D/etc/courier/aliases 2>/dev/null || true
@unexec rmdir %D/etc/courier/esmtpacceptmailfor.dir 2>/dev/null || true
@unexec rmdir %D/etc/courier/esmtppercentrelay.dir 2>/dev/null || true
@unexec rmdir %D/etc/courier/filters/active 2>/dev/null || true
@unexec rmdir %D/etc/courier/filters 2>/dev/null || true
@unexec rmdir %D/etc/courier/smtpaccess 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin/added 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin/removed 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin 2>/dev/null || true
@unexec rmdir %D/etc/courier 2>/dev/null || true
etc/rc.d/courier.sh
libexec/authlib/authdaemon
libexec/authlib/authdaemond
%%SUB_LDAP%%libexec/authlib/authdaemond.ldap
%%SUB_MYSQL%%libexec/authlib/authdaemond.mysql
%%SUB_PGSQL%%libexec/authlib/authdaemond.pgsql
libexec/authlib/changepwd/authdaemon.passwd
libexec/authlib/changepwd/authsystem.passwd
libexec/courier/modules/dsn/courierdsn
libexec/courier/modules/esmtp/addcr
libexec/courier/modules/esmtp/authend
libexec/courier/modules/esmtp/authstart
libexec/courier/modules/esmtp/courieresmtp
libexec/courier/modules/esmtp/courieresmtpd
libexec/courier/modules/local/courierdeliver
libexec/courier/modules/local/courierlocal
libexec/courier/modules/modules.ctl
libexec/courier/modules/uucp/courieruucp
libexec/courier/webmail/webadmin
libexec/courier/webmail/webmail
libexec/authlib/authdaemond.plain
libexec/courier/aliascombine
libexec/courier/aliascreate
libexec/courier/aliasexp
libexec/courier/courierd
libexec/courier/courierpop3d
libexec/courier/courierpop3login
libexec/courier/imaplogin
libexec/courier/makedatprog
libexec/courier/submit
libexec/courier/submitmkdir
libexec/filters/dupfilter
libexec/filters/perlfilter
@dirrm libexec/authlib/changepwd
@dirrm libexec/authlib
@dirrm libexec/courier/modules/uucp
@dirrm libexec/courier/modules/local
@dirrm libexec/courier/modules/esmtp
@dirrm libexec/courier/modules/dsn
@dirrm libexec/courier/modules
@dirrm libexec/courier/webmail
@dirrm libexec/courier
@dirrm libexec/filters
sbin/courier
sbin/courieresmtpd
sbin/courierfilter
%%SUB_LDAP%%sbin/courierldapaliasd
sbin/couriertcpd
sbin/esmtpd
sbin/esmtpd-msa
sbin/filterctl
sbin/imapd
sbin/imapd-ssl
sbin/logger
sbin/makeacceptmailfor
sbin/makealiases
sbin/makehosteddomains
sbin/makepercentrelay
sbin/makesmtpaccess
sbin/makesmtpaccess-msa
sbin/makeuserdb
sbin/makeuucpneighbors
sbin/mkesmtpdcert
sbin/mkimapdcert
sbin/mkpop3dcert
sbin/pop3d
sbin/pop3d-ssl
sbin/pw2userdb
sbin/showconfig
sbin/showmodules
sbin/userdb
sbin/userdbpw
sbin/vchkpw2userdb
sbin/webgpg
share/courier/authsystem.passwd
share/courier/courierctl.start
share/courier/couriermlm/adminrequest.tmpl
share/courier/couriermlm/confsubj.tmpl
share/courier/couriermlm/digestsubj.tmpl
share/courier/couriermlm/fetch.tmpl
share/courier/couriermlm/fetchsubj.tmpl
share/courier/couriermlm/help.tmpl
share/courier/couriermlm/idxheader2html.tmpl
share/courier/couriermlm/idxheaderhtml.tmpl
share/courier/couriermlm/idxheadertxt.tmpl
share/courier/couriermlm/idxsubject.tmpl
share/courier/couriermlm/modrejbody.tmpl
share/courier/couriermlm/modreject.tmpl
share/courier/couriermlm/modrejheader.tmpl
share/courier/couriermlm/modsubject.tmpl
share/courier/couriermlm/modtext.tmpl
share/courier/couriermlm/modtext2.tmpl
share/courier/couriermlm/sub.tmpl
share/courier/couriermlm/sub2.tmpl
share/courier/couriermlm/sub3.tmpl
share/courier/couriermlm/sub4.tmpl
share/courier/couriermlm/sub5.tmpl
share/courier/couriermlm/subreportfooter.tmpl
share/courier/couriermlm/subreporthdr.tmpl
share/courier/couriermlm/subreporthdr1.tmpl
share/courier/couriermlm/subreporthdr2.tmpl
share/courier/couriermlm/subreporthdr3.tmpl
share/courier/couriermlm/unsub.tmpl
share/courier/couriermlm/unsub2.tmpl
share/courier/couriermlm/unsub3.tmpl
share/courier/couriermlm/warn1headers.tmpl
share/courier/couriermlm/warn1text.tmpl
share/courier/couriermlm/warn1text2.tmpl
share/courier/couriermlm/warn2msg.tmpl
@dirrm share/courier/couriermlm
share/courier/courierwebadmin/admin-00machine.html
share/courier/courierwebadmin/admin-00machine.pl
share/courier/courierwebadmin/admin-05local.html
share/courier/courierwebadmin/admin-05local.pl
share/courier/courierwebadmin/admin-10password.html
share/courier/courierwebadmin/admin-10password.pl
share/courier/courierwebadmin/admin-15ldap.html
share/courier/courierwebadmin/admin-15ldap.pl
share/courier/courierwebadmin/admin-15ldapa.html
share/courier/courierwebadmin/admin-15ldapa.pl
share/courier/courierwebadmin/admin-15mysql.html
share/courier/courierwebadmin/admin-15mysql.pl
share/courier/courierwebadmin/admin-15pgsql.html
share/courier/courierwebadmin/admin-15pgsql.pl
share/courier/courierwebadmin/admin-20aliases.html
share/courier/courierwebadmin/admin-20aliases.pl
share/courier/courierwebadmin/admin-30esmtp.html
share/courier/courierwebadmin/admin-30esmtp.pl
share/courier/courierwebadmin/admin-31esmtp.html
share/courier/courierwebadmin/admin-31esmtp.pl
share/courier/courierwebadmin/admin-40imap.html
share/courier/courierwebadmin/admin-40imap.pl
share/courier/courierwebadmin/admin-45pop3.html
share/courier/courierwebadmin/admin-45pop3.pl
share/courier/courierwebadmin/admin-cancel.pl
share/courier/courierwebadmin/admin-main.html
share/courier/courierwebadmin/admin-main.pl
share/courier/courierwebadmin/admin-save.html
share/courier/courierwebadmin/admin-save.pl
share/courier/courierwebadmin/dumpenv.pl
share/courier/courierwebadmin/login.html
share/courier/courierwebadmin/notsupp.html
share/courier/courierwebadmin/unsecure.html
share/courier/courierwebadmin/webadmin.pl
share/courier/courierwebadmin/webadmin.pm
@dirrm share/courier/courierwebadmin
share/courier/esmtpd
share/courier/filterctl
share/courier/imapd
share/courier/imapd-ssl
share/courier/makeacceptmailfor
share/courier/makealiases
share/courier/makedat
share/courier/makehosteddomains
share/courier/makepercentrelay
share/courier/makesmtpaccess
share/courier/makeuserdb
share/courier/makeuucpneighbors
share/courier/mkesmtpdcert
share/courier/mkimapdcert
share/courier/mkpop3dcert
share/courier/perlfilter-example.pl
share/courier/perlfilter-wrapper.pl
share/courier/pop3d
share/courier/pop3d-ssl
share/courier/pw2userdb
share/courier/rootcerts/0bb21872.0
share/courier/rootcerts/0e82f83a.0
share/courier/rootcerts/11f154d6.0
share/courier/rootcerts/1a147d5b.0
share/courier/rootcerts/256fd83b.0
share/courier/rootcerts/2d047263.0
share/courier/rootcerts/2edf7016.0
share/courier/rootcerts/412bea73.0
share/courier/rootcerts/54edfa5d.0
share/courier/rootcerts/5f5e5caa.0
share/courier/rootcerts/6166cb50.0
share/courier/rootcerts/61f6c934.0
share/courier/rootcerts/66ec64da.0
share/courier/rootcerts/6c55cf77.0
share/courier/rootcerts/6d6ec79c.0
share/courier/rootcerts/709afd2b.0
share/courier/rootcerts/72fa7371.0
share/courier/rootcerts/7651b327.0
share/courier/rootcerts/7d3cd826.0
share/courier/rootcerts/7d453d8f.0
share/courier/rootcerts/8efac7d4.0
share/courier/rootcerts/9d0c2a65.0
share/courier/rootcerts/b0f3e76e.0
share/courier/rootcerts/b5f329fa.0
share/courier/rootcerts/bcdd5959.0
share/courier/rootcerts/belsign-object-publishing-ca.pem
share/courier/rootcerts/belsign-secure-server-ca.pem
share/courier/rootcerts/bffe8b5d.0
share/courier/rootcerts/c19d42c7.0
share/courier/rootcerts/c33a80d4.0
share/courier/rootcerts/c527e4ab.0
share/courier/rootcerts/ccf7ff0e.0
share/courier/rootcerts/class-1-public-primary-ocsp-responder.pem
share/courier/rootcerts/class-2-public-primary-ocsp-responder.pem
share/courier/rootcerts/class-3-public-primary-ocsp-responder.pem
share/courier/rootcerts/d78a75c7.0
share/courier/rootcerts/ddc328ff.0
share/courier/rootcerts/dfd0b044.0
share/courier/rootcerts/e28f6bbc.0
share/courier/rootcerts/ed049835.0
share/courier/rootcerts/ed62f4e3.0
share/courier/rootcerts/f10dd942.0
share/courier/rootcerts/f4996e82.0
share/courier/rootcerts/f73e89fd.0
share/courier/rootcerts/globalsign-partners-ca.pem
share/courier/rootcerts/globalsign-primary-class-1-ca.pem
share/courier/rootcerts/globalsign-primary-class-2-ca.pem
share/courier/rootcerts/globalsign-primary-class-3-ca.pem
share/courier/rootcerts/globalsign-root-ca.pem
share/courier/rootcerts/http-www-valicert-com-00.pem
share/courier/rootcerts/http-www-valicert-com-01.pem
share/courier/rootcerts/http-www-valicert-com-02.pem
share/courier/rootcerts/http-www-valicert-net.pem
share/courier/rootcerts/rsa-data-security-inc-secure-server.pem
share/courier/rootcerts/secure-server-ocsp-responder.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-00.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-01.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-02.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-03.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-04.pem
share/courier/rootcerts/thawte-personal-basic-ca.pem
share/courier/rootcerts/thawte-personal-freemail-ca.pem
share/courier/rootcerts/thawte-personal-premium-ca.pem
share/courier/rootcerts/thawte-premium-server-ca.pem
share/courier/rootcerts/thawte-server-ca.pem
share/courier/rootcerts/thawte-universal-ca-root.pem
share/courier/rootcerts/verisign-class-1-public-primary.pem
share/courier/rootcerts/verisign-class-2-public-primary.pem
share/courier/rootcerts/verisign-class-3-public-primary.pem
share/courier/rootcerts/verisign-class-4-public-primary.pem
share/courier/rootcerts/verisign-inc-class-1-public-primary.pem
share/courier/rootcerts/verisign-inc-class-2-public-primary.pem
share/courier/rootcerts/verisign-inc-class-3-public-primary.pem
share/courier/rootcerts/verisign-inc-class-4-public-primary.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-00.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-01.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-02.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-03.pem
@dirrm share/courier/rootcerts
share/courier/sqwebmail/cleancache.pl
share/courier/sqwebmail/html/en-us/CHARSET
share/courier/sqwebmail/html/en-us/ISPELLDICT
share/courier/sqwebmail/html/en-us/LANGUAGE
share/courier/sqwebmail/html/en-us/LANGUAGE_PREF
share/courier/sqwebmail/html/en-us/LOCALE
share/courier/sqwebmail/html/en-us/abooklist.html
share/courier/sqwebmail/html/en-us/attachments.html
share/courier/sqwebmail/html/en-us/autoresponder.html
share/courier/sqwebmail/html/en-us/empty.html
share/courier/sqwebmail/html/en-us/expired.html
share/courier/sqwebmail/html/en-us/filter.html
share/courier/sqwebmail/html/en-us/folder.html
share/courier/sqwebmail/html/en-us/folders.html
share/courier/sqwebmail/html/en-us/gpg.html
share/courier/sqwebmail/html/en-us/gpgcreate.html
share/courier/sqwebmail/html/en-us/gpgerr.html
share/courier/sqwebmail/html/en-us/index.html
share/courier/sqwebmail/html/en-us/invalid.html
share/courier/sqwebmail/html/en-us/keyimport.html
share/courier/sqwebmail/html/en-us/ldaplist.html
share/courier/sqwebmail/html/en-us/ldapsearch.html
share/courier/sqwebmail/html/en-us/login.html
share/courier/sqwebmail/html/en-us/newmsg.html
share/courier/sqwebmail/html/en-us/preferences.html
share/courier/sqwebmail/html/en-us/print.html
share/courier/sqwebmail/html/en-us/printnocookie.html
share/courier/sqwebmail/html/en-us/printredirect.html
share/courier/sqwebmail/html/en-us/quickadd.html
share/courier/sqwebmail/html/en-us/readmsg.html
share/courier/sqwebmail/html/en-us/redirect.html
share/courier/sqwebmail/html/en-us/spellchk.html
@dirrm share/courier/sqwebmail/html/en-us
@exec [ -L %D/share/courier/sqwebmail/html/en ] || ln -sf en-us %D/share/courier/sqwebmail/html/en 2>/dev/null || true
@unexec rm -f %D/share/courier/sqwebmail/html/en 2>/dev/null || true
@dirrm share/courier/sqwebmail/html
share/courier/sqwebmail/images/bg.gif
share/courier/sqwebmail/images/bluebottomleft.gif
share/courier/sqwebmail/images/bluebottomright.gif
share/courier/sqwebmail/images/bluetopleft.gif
share/courier/sqwebmail/images/bluetopright.gif
share/courier/sqwebmail/images/folder.gif
share/courier/sqwebmail/images/folder2.gif
share/courier/sqwebmail/images/folders.gif
share/courier/sqwebmail/images/forward.gif
share/courier/sqwebmail/images/forwardatt.gif
share/courier/sqwebmail/images/fullheaders.gif
share/courier/sqwebmail/images/graybottomleft.gif
share/courier/sqwebmail/images/graybottomright.gif
share/courier/sqwebmail/images/graytopleft.gif
share/courier/sqwebmail/images/graytopright.gif
share/courier/sqwebmail/images/left.gif
share/courier/sqwebmail/images/left2.gif
share/courier/sqwebmail/images/logo.gif
share/courier/sqwebmail/images/print.gif
share/courier/sqwebmail/images/reply.gif
share/courier/sqwebmail/images/replyall.gif
share/courier/sqwebmail/images/replylist.gif
share/courier/sqwebmail/images/right.gif
share/courier/sqwebmail/images/right2.gif
share/courier/sqwebmail/images/sep.gif
share/courier/sqwebmail/images/signin.gif
share/courier/sqwebmail/images/sqwebmail.css
share/courier/sqwebmail/images/trash2.gif
@dirrm share/courier/sqwebmail/images
share/courier/sqwebmail/ldapsearch
share/courier/sqwebmail/sendit.sh
share/courier/sqwebmail/webgpg
@dirrm share/courier/sqwebmail
share/courier/userdb
share/courier/vchkpw2userdb
share/courier/webgpg
@dirrm share/courier
%%PORTDOCS%%share/doc/courier/AUTHORS
%%PORTDOCS%%share/doc/courier/BENCHMARKS
%%PORTDOCS%%share/doc/courier/BUGS.webmail
%%PORTDOCS%%share/doc/courier/BUGS.webmail.html
%%PORTDOCS%%share/doc/courier/FAQ.imap
%%PORTDOCS%%share/doc/courier/FAQ.imap.html
%%PORTDOCS%%share/doc/courier/INSTALL
%%PORTDOCS%%share/doc/courier/NEWS
%%PORTDOCS%%share/doc/courier/README
%%PORTDOCS%%share/doc/courier/README.authmysql.html
%%PORTDOCS%%share/doc/courier/README.couriertls
%%PORTDOCS%%share/doc/courier/README.gpglib.html
%%PORTDOCS%%share/doc/courier/README.imap
%%PORTDOCS%%share/doc/courier/README.imap.html
%%PORTDOCS%%share/doc/courier/README.ldap
%%PORTDOCS%%share/doc/courier/README.maildirfilter.html
%%PORTDOCS%%share/doc/courier/README.maildirquota.html
%%PORTDOCS%%share/doc/courier/README.maildirquota.txt
%%PORTDOCS%%share/doc/courier/README.maildrop.html
%%PORTDOCS%%share/doc/courier/README.sharedfolders.html
%%PORTDOCS%%share/doc/courier/README.sharedfolders.txt
%%PORTDOCS%%share/doc/courier/SECURITY.webmail
%%PORTDOCS%%share/doc/courier/SECURITY.webmail.html
%%PORTDOCS%%share/doc/courier/html/FAQ.html
%%PORTDOCS%%share/doc/courier/html/aliases.html
%%PORTDOCS%%share/doc/courier/html/authlib.html
%%PORTDOCS%%share/doc/courier/html/cancelmsg.html
%%PORTDOCS%%share/doc/courier/html/courier.html
%%PORTDOCS%%share/doc/courier/html/courierd.html
%%PORTDOCS%%share/doc/courier/html/courierdsn.html
%%PORTDOCS%%share/doc/courier/html/courierfilter.html
%%PORTDOCS%%share/doc/courier/html/courierldapaliasd.html
%%PORTDOCS%%share/doc/courier/html/couriermlm.html
%%PORTDOCS%%share/doc/courier/html/courierperlfilter.html
%%PORTDOCS%%share/doc/courier/html/courierpop3login.html
%%PORTDOCS%%share/doc/courier/html/couriertcpd.html
%%PORTDOCS%%share/doc/courier/html/couriertls.html
%%PORTDOCS%%share/doc/courier/html/courieruucp.html
%%PORTDOCS%%share/doc/courier/html/deliverquota.html
%%PORTDOCS%%share/doc/courier/html/dot-courier.html
%%PORTDOCS%%share/doc/courier/html/dot-forward.html
%%PORTDOCS%%share/doc/courier/html/dotlock.html
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-exdata-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-security-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-verp-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/dupfilter.html
%%PORTDOCS%%share/doc/courier/html/esmtp.html
%%PORTDOCS%%share/doc/courier/html/esmtpd.html
%%PORTDOCS%%share/doc/courier/html/history.html
%%PORTDOCS%%share/doc/courier/html/imapd.html
%%PORTDOCS%%share/doc/courier/html/index.html
%%PORTDOCS%%share/doc/courier/html/install.html
%%PORTDOCS%%share/doc/courier/html/intro.html
%%PORTDOCS%%share/doc/courier/html/layout.html
%%PORTDOCS%%share/doc/courier/html/links.html
%%PORTDOCS%%share/doc/courier/html/local.html
%%PORTDOCS%%share/doc/courier/html/localmailfilter.html
%%PORTDOCS%%share/doc/courier/html/mailbot.html
%%PORTDOCS%%share/doc/courier/html/maildirmake.html
%%PORTDOCS%%share/doc/courier/html/maildirquota.html
%%PORTDOCS%%share/doc/courier/html/maildrop.README.html
%%PORTDOCS%%share/doc/courier/html/maildrop.html
%%PORTDOCS%%share/doc/courier/html/maildropex.html
%%PORTDOCS%%share/doc/courier/html/maildropfilter.html
%%PORTDOCS%%share/doc/courier/html/maildropgdbm.html
%%PORTDOCS%%share/doc/courier/html/maildroptips.html
%%PORTDOCS%%share/doc/courier/html/mailq.html
%%PORTDOCS%%share/doc/courier/html/makeacceptmailfor.html
%%PORTDOCS%%share/doc/courier/html/makealiases.html
%%PORTDOCS%%share/doc/courier/html/makedat.html
%%PORTDOCS%%share/doc/courier/html/makehosteddomains.html
%%PORTDOCS%%share/doc/courier/html/makemime.html
%%PORTDOCS%%share/doc/courier/html/makepercentrelay.html
%%PORTDOCS%%share/doc/courier/html/makesmtpaccess.html
%%PORTDOCS%%share/doc/courier/html/makeuserdb.html
%%PORTDOCS%%share/doc/courier/html/mimegpg.html
%%PORTDOCS%%share/doc/courier/html/mkesmtpdcert.html
%%PORTDOCS%%share/doc/courier/html/mkimapdcert.html
%%PORTDOCS%%share/doc/courier/html/modules.html
%%PORTDOCS%%share/doc/courier/html/pop3d.html
%%PORTDOCS%%share/doc/courier/html/preline.html
%%PORTDOCS%%share/doc/courier/html/queue.html
%%PORTDOCS%%share/doc/courier/html/reformail.html
%%PORTDOCS%%share/doc/courier/html/reformime.html
%%PORTDOCS%%share/doc/courier/html/sendmail.html
%%PORTDOCS%%share/doc/courier/html/status.html
%%PORTDOCS%%share/doc/courier/html/structures.html
%%PORTDOCS%%share/doc/courier/html/submit.html
%%PORTDOCS%%share/doc/courier/html/testmxlookup.html
%%PORTDOCS%%share/doc/courier/html/userdb.html
%%PORTDOCS%%share/doc/courier/html/userdbpw.html
%%PORTDOCS%%@dirrm share/doc/courier/html
%%PORTDOCS%%@dirrm share/doc/courier
@exec install -d -o 0  -g 0  -m 0755 /var/spool/courier 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0750 /var/spool/courier/allfilters 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0770 /var/spool/courier/authdaemon 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0750 /var/spool/courier/filters 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0750 /var/spool/courier/msgq 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0750 /var/spool/courier/msgs 2>/dev/null || true
@exec install -d -o 62 -g 62 -m 0770 /var/spool/courier/tmp 2>/dev/null || true
@exec install -d -o 0  -g 0  -m 0755 /var/spool/courier/tmp/broken 2>/dev/null || true
@exec install -d -o %%CACHEOWNER%% -g mail -m 0700 /var/spool/webmail 2>/dev/null || true
@exec crontab -u %%CACHEOWNER%% %D/etc/courier/crontab.in 2>/dev/null || true
@unexec crontab -u %%CACHEOWNER%% -l 2>/dev/null || true
@unexec crontab -u %%CACHEOWNER%% -r || true
@unexec [ -d /var/spool/courier ] && chown -R 62:62 /var/spool/courier 2>/dev/null || true
@unexec echo ""
@unexec echo "Warning: Removing user courier will also delete any"
@unexec echo "	 undelivered mail in the mail queue directories!!!"
@unexec echo "	 Do not do it if you're upgrading and would like"
@unexec echo "	 courier to continue trying to deliver this mail."
@unexec echo ""
@unexec rmuser courier 2>/dev/null || true
@unexec [ -d /var/spool/courier ] && chown 0:0 /var/spool/courier 2>/dev/null || true
@unexec [ -d /var/spool/courier/tmp/broken ] && chown 0:0 /var/spool/courier/tmp/broken 2>/dev/null || true
@unexec rm -rf /var/spool/webmail 2>/dev/null || true
SHAR_EOF
  (set 20 01 10 23 16 04 09 'courier/pkg-plist'; eval "$shar_touch") &&
  chmod 0644 'courier/pkg-plist' ||
  $echo 'restore of' 'courier/pkg-plist' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-plist:' 'MD5 check failed'
bb8b6dfd95019a906645d7f888b654a2  courier/pkg-plist
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-plist'`"
    test 24237 -eq "$shar_count" ||
    $echo 'courier/pkg-plist:' 'original size' '24237,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/pkg-mtree ==============
if test -f 'courier/pkg-mtree' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/pkg-mtree' '(file already exists)'
else
  $echo 'x -' extracting 'courier/pkg-mtree' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/pkg-mtree' &&
# $FreeBSD: $
X
/set	type=dir		uid=0	gid=0	mode=0755
X.
X    bin
X    ..
X    etc
X        courier			uid=62	gid=62
X            aliasdir		uid=62	gid=62
X            ..
X            aliases		uid=62	gid=62	mode=0750
X            ..
X            esmtpacceptmailfor.dir
X            ..
X            esmtppercentrelay.dir
X            ..
X            filters		uid=62	gid=62	mode=0750
X                active		uid=62	gid=62	mode=0750
X                ..
X            ..
X            smtpaccess		uid=62   gid=62	mode=0755
X            ..
X            webadmin		uid=62	gid=62	mode=0700
X                added		uid=62	gid=62	mode=0755
X                ..
X                removed		uid=62	gid=62	mode=0755
X                ..
X            ..
X        ..
X        rc.d
X        ..
X    ..
X    libexec
X        authlib
X            changepwd
X            ..
X        ..
X        courier
X            modules
X                dsn
X                ..
X                esmtp
X                ..
X                local
X                ..
X                uucp
X                ..
X            ..
X            webmail				mode=0700
X            ..
X        ..
X        filters
X        ..
X    ..
X    man
X        man1
X        ..
X        man2
X        ..
X        man3
X        ..
X        man4
X        ..
X        man5
X        ..
X        man6
X        ..
X        man7
X        ..
X        man8
X        ..
X        man9
X        ..
X        manl
X        ..
X        mann
X        ..
X    ..
X    sbin
X    ..
X    share
X        courier
X            couriermlm
X            ..
X            courierwebadmin
X            ..
X            rootcerts
X            ..
X            sqwebmail
X                html
X                    en-us
X                    ..
X                ..
X                images
X                ..
X            ..
X        ..
X    ..
X..
SHAR_EOF
  (set 20 01 10 21 17 58 56 'courier/pkg-mtree'; eval "$shar_touch") &&
  chmod 0644 'courier/pkg-mtree' ||
  $echo 'restore of' 'courier/pkg-mtree' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/pkg-mtree:' 'MD5 check failed'
d3cad121e36c01116556647e17439d5f  courier/pkg-mtree
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/pkg-mtree'`"
    test 1757 -eq "$shar_count" ||
    $echo 'courier/pkg-mtree:' 'original size' '1757,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/Makefile.man ==============
if test -f 'courier/Makefile.man' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/Makefile.man' '(file already exists)'
else
  $echo 'x -' extracting 'courier/Makefile.man' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/Makefile.man' &&
MAN1=	\
X	cancelmsg.1 \
X	couriermlm.1 \
X	couriertls.1 \
X	dot-forward.1 \
X	dotlock.1 \
X	mailbot.1 \
X	maildirmake.1 \
X	maildrop.1 \
X	makedat.1 \
X	makemime.1 \
X	mimegpg.1 \
X	preline.1 \
X	reformail.1 \
X	reformime.1 \
X	sendmail.1 \
X	testmxlookup.1
MAN5=	\
X	dot-courier.5 \
X	maildropex.5 \
X	maildropfilter.5 \
X	maildropgdbm.5
MAN7=	\
X	localmailfilter.7 \
X	maildirquota.7
MAN8=	\
X	authlib.8 \
X	courier.8 \
X	courierfilter.8 \
X	courierldapaliasd.8 \
X	courierperlfilter.8 \
X	courierpop3login.8 \
X	couriertcpd.8 \
X	courieruucp.8 \
X	deliverquota.8 \
X	dupfilter.8 \
X	esmtpd.8 \
X	imapd.8 \
X	mailq.8 \
X	makeacceptmailfor.8 \
X	makealiases.8 \
X	makehosteddomains.8 \
X	makepercentrelay.8 \
X	makesmtpaccess.8 \
X	makeuserdb.8 \
X	mkesmtpdcert.8 \
X	mkimapdcert.8 \
X	pop3d.8 \
X	submit.8 \
X	userdb.8 \
X	userdbpw.8
X
MLINKS=	dot-forward.1 dotforward.1 \
X	sendmail.1 rmail.1 \
X	authlib.8 authcram.8 \
X	authlib.8 authdaemon.8 \
X	authlib.8 authdaemond.8 \
X	authlib.8 authldap.8 \
X	authlib.8 authmysql.8 \
X	authlib.8 authpam.8 \
X	authlib.8 authpwd.8 \
X	authlib.8 authshadow.8 \
X	authlib.8 authuserdb.8 \
X	authlib.8 authvchkpw.8 \
X	courierfilter.8 filterctl.8 \
X	courierpop3login.8 courierpop3d.8 \
X	courieruucp.8 makeuucpneighbors.8 \
X	esmtpd.8 esmtpd-msa.8 \
X	makesmtpaccess.8 makesmtpaccess-msa.8 \
X	makeuserdb.8 pw2userdb.8 \
X	makeuserdb.8 vchkpw2userdb.8
SHAR_EOF
  (set 20 01 10 21 13 20 32 'courier/Makefile.man'; eval "$shar_touch") &&
  chmod 0644 'courier/Makefile.man' ||
  $echo 'restore of' 'courier/Makefile.man' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/Makefile.man:' 'MD5 check failed'
2f4dd3bf9b5f6081fe516c7218285095  courier/Makefile.man
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/Makefile.man'`"
    test 1328 -eq "$shar_count" ||
    $echo 'courier/Makefile.man:' 'original size' '1328,' 'current size' "$shar_count!"
  fi
fi
# ============= courier/Makefile.doc ==============
if test -f 'courier/Makefile.doc' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'courier/Makefile.doc' '(file already exists)'
else
  $echo 'x -' extracting 'courier/Makefile.doc' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'courier/Makefile.doc' &&
DOCS=	AUTHORS BENCHMARKS INSTALL NEWS README \
X	authlib/README.authmysql.html \
X	authlib/README.ldap \
X	gpglib/README.gpglib.html \
X	imap/FAQ.imap \
X	imap/FAQ.imap.html \
X	imap/README.imap \
X	imap/README.imap.html \
X	maildir/README.maildirfilter.html \
X	maildir/README.maildirquota.html \
X	maildir/README.maildirquota.txt \
X	maildir/README.sharedfolders.txt \
X	maildir/README.sharedfolders.html \
X	maildrop/README.maildrop.html \
X	tcpd/README.couriertls \
X	webmail/BUGS.webmail \
X	webmail/BUGS.webmail.html \
X	webmail/SECURITY.webmail \
X	webmail/SECURITY.webmail.html
SHAR_EOF
  (set 20 01 10 21 13 21 58 'courier/Makefile.doc'; eval "$shar_touch") &&
  chmod 0644 'courier/Makefile.doc' ||
  $echo 'restore of' 'courier/Makefile.doc' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'courier/Makefile.doc:' 'MD5 check failed'
968999b60f7af2490406eeff332c587d  courier/Makefile.doc
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'courier/Makefile.doc'`"
    test 568 -eq "$shar_count" ||
    $echo 'courier/Makefile.doc:' 'original size' '568,' 'current size' "$shar_count!"
  fi
fi
rm -fr _sh61598
exit 0
>Release-Note:
>Audit-Trail:
>Unformatted:

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20011024115155.DD6A63E03>